
#include "Binding_pch.h"


using namespace gl;


namespace glbinding
{


const Binding::array_t Binding::s_functions =
{{
    &Accum,
    &AccumxOES,
    &AcquireKeyedMutexWin32EXT,
    &ActiveProgramEXT,
    &ActiveShaderProgram,
    &ActiveShaderProgramEXT,
    &ActiveStencilFaceEXT,
    &ActiveTexture,
    &ActiveTextureARB,
    &ActiveVaryingNV,
    &AlphaFragmentOp1ATI,
    &AlphaFragmentOp2ATI,
    &AlphaFragmentOp3ATI,
    &AlphaFunc,
    &AlphaFuncxOES,
    &AlphaToCoverageDitherControlNV,
    &ApplyFramebufferAttachmentCMAAINTEL,
    &ApplyTextureEXT,
    &AreProgramsResidentNV,
    &AreTexturesResident,
    &AreTexturesResidentEXT,
    &ArrayElement,
    &ArrayElementEXT,
    &ArrayObjectATI,
    &AsyncCopyBufferSubDataNVX,
    &AsyncCopyImageSubDataNVX,
    &AsyncMarkerSGIX,
    &AttachObjectARB,
    &AttachShader,
    &Begin,
    &BeginConditionalRender,
    &BeginConditionalRenderNV,
    &BeginConditionalRenderNVX,
    &BeginFragmentShaderATI,
    &BeginOcclusionQueryNV,
    &BeginPerfMonitorAMD,
    &BeginPerfQueryINTEL,
    &BeginQuery,
    &BeginQueryARB,
    &BeginQueryIndexed,
    &BeginTransformFeedback,
    &BeginTransformFeedbackEXT,
    &BeginTransformFeedbackNV,
    &BeginVertexShaderEXT,
    &BeginVideoCaptureNV,
    &BindAttribLocation,
    &BindAttribLocationARB,
    &BindBuffer,
    &BindBufferARB,
    &BindBufferBase,
    &BindBufferBaseEXT,
    &BindBufferBaseNV,
    &BindBufferOffsetEXT,
    &BindBufferOffsetNV,
    &BindBufferRange,
    &BindBufferRangeEXT,
    &BindBufferRangeNV,
    &BindBuffersBase,
    &BindBuffersRange,
    &BindFragDataLocation,
    &BindFragDataLocationEXT,
    &BindFragDataLocationIndexed,
    &BindFragmentShaderATI,
    &BindFramebuffer,
    &BindFramebufferEXT,
    &BindImageTexture,
    &BindImageTextureEXT,
    &BindImageTextures,
    &BindLightParameterEXT,
    &BindMaterialParameterEXT,
    &BindMultiTextureEXT,
    &BindParameterEXT,
    &BindProgramARB,
    &BindProgramNV,
    &BindProgramPipeline,
    &BindProgramPipelineEXT,
    &BindRenderbuffer,
    &BindRenderbufferEXT,
    &BindSampler,
    &BindSamplers,
    &BindShadingRateImageNV,
    &BindTexGenParameterEXT,
    &BindTexture,
    &BindTextureEXT,
    &BindTextures,
    &BindTextureUnit,
    &BindTextureUnitParameterEXT,
    &BindTransformFeedback,
    &BindTransformFeedbackNV,
    &BindVertexArray,
    &BindVertexArrayAPPLE,
    &BindVertexBuffer,
    &BindVertexBuffers,
    &BindVertexShaderEXT,
    &BindVideoCaptureStreamBufferNV,
    &BindVideoCaptureStreamTextureNV,
    &Binormal3bEXT,
    &Binormal3bvEXT,
    &Binormal3dEXT,
    &Binormal3dvEXT,
    &Binormal3fEXT,
    &Binormal3fvEXT,
    &Binormal3iEXT,
    &Binormal3ivEXT,
    &Binormal3sEXT,
    &Binormal3svEXT,
    &BinormalPointerEXT,
    &Bitmap,
    &BitmapxOES,
    &BlendBarrierKHR,
    &BlendBarrierNV,
    &BlendColor,
    &BlendColorEXT,
    &BlendColorxOES,
    &BlendEquation,
    &BlendEquationEXT,
    &BlendEquationi,
    &BlendEquationiARB,
    &BlendEquationIndexedAMD,
    &BlendEquationSeparate,
    &BlendEquationSeparateEXT,
    &BlendEquationSeparatei,
    &BlendEquationSeparateiARB,
    &BlendEquationSeparateIndexedAMD,
    &BlendFunc,
    &BlendFunci,
    &BlendFunciARB,
    &BlendFuncIndexedAMD,
    &BlendFuncSeparate,
    &BlendFuncSeparateEXT,
    &BlendFuncSeparatei,
    &BlendFuncSeparateiARB,
    &BlendFuncSeparateIndexedAMD,
    &BlendFuncSeparateINGR,
    &BlendParameteriNV,
    &BlitFramebuffer,
    &BlitFramebufferEXT,
    &BlitNamedFramebuffer,
    &BufferAddressRangeNV,
    &BufferAttachMemoryNV,
    &BufferData,
    &BufferDataARB,
    &BufferPageCommitmentARB,
    &BufferPageCommitmentMemNV,
    &BufferParameteriAPPLE,
    &BufferStorage,
    &BufferStorageExternalEXT,
    &BufferStorageMemEXT,
    &BufferSubData,
    &BufferSubDataARB,
    &CallCommandListNV,
    &CallList,
    &CallLists,
    &CheckFramebufferStatus,
    &CheckFramebufferStatusEXT,
    &CheckNamedFramebufferStatus,
    &CheckNamedFramebufferStatusEXT,
    &ClampColor,
    &ClampColorARB,
    &Clear,
    &ClearAccum,
    &ClearAccumxOES,
    &ClearBufferData,
    &ClearBufferfi,
    &ClearBufferfv,
    &ClearBufferiv,
    &ClearBufferSubData,
    &ClearBufferuiv,
    &ClearColor,
    &ClearColorIiEXT,
    &ClearColorIuiEXT,
    &ClearColorxOES,
    &ClearDepth,
    &ClearDepthdNV,
    &ClearDepthf,
    &ClearDepthfOES,
    &ClearDepthxOES,
    &ClearIndex,
    &ClearNamedBufferData,
    &ClearNamedBufferDataEXT,
    &ClearNamedBufferSubData,
    &ClearNamedBufferSubDataEXT,
    &ClearNamedFramebufferfi,
    &ClearNamedFramebufferfv,
    &ClearNamedFramebufferiv,
    &ClearNamedFramebufferuiv,
    &ClearStencil,
    &ClearTexImage,
    &ClearTexSubImage,
    &ClientActiveTexture,
    &ClientActiveTextureARB,
    &ClientActiveVertexStreamATI,
    &ClientAttribDefaultEXT,
    &ClientWaitSemaphoreui64NVX,
    &ClientWaitSync,
    &ClipControl,
    &ClipPlane,
    &ClipPlanefOES,
    &ClipPlanexOES,
    &Color3b,
    &Color3bv,
    &Color3d,
    &Color3dv,
    &Color3f,
    &Color3fv,
    &Color3fVertex3fSUN,
    &Color3fVertex3fvSUN,
    &Color3hNV,
    &Color3hvNV,
    &Color3i,
    &Color3iv,
    &Color3s,
    &Color3sv,
    &Color3ub,
    &Color3ubv,
    &Color3ui,
    &Color3uiv,
    &Color3us,
    &Color3usv,
    &Color3xOES,
    &Color3xvOES,
    &Color4b,
    &Color4bv,
    &Color4d,
    &Color4dv,
    &Color4f,
    &Color4fNormal3fVertex3fSUN,
    &Color4fNormal3fVertex3fvSUN,
    &Color4fv,
    &Color4hNV,
    &Color4hvNV,
    &Color4i,
    &Color4iv,
    &Color4s,
    &Color4sv,
    &Color4ub,
    &Color4ubv,
    &Color4ubVertex2fSUN,
    &Color4ubVertex2fvSUN,
    &Color4ubVertex3fSUN,
    &Color4ubVertex3fvSUN,
    &Color4ui,
    &Color4uiv,
    &Color4us,
    &Color4usv,
    &Color4xOES,
    &Color4xvOES,
    &ColorFormatNV,
    &ColorFragmentOp1ATI,
    &ColorFragmentOp2ATI,
    &ColorFragmentOp3ATI,
    &ColorMask,
    &ColorMaski,
    &ColorMaskIndexedEXT,
    &ColorMaterial,
    &ColorP3ui,
    &ColorP3uiv,
    &ColorP4ui,
    &ColorP4uiv,
    &ColorPointer,
    &ColorPointerEXT,
    &ColorPointerListIBM,
    &ColorPointervINTEL,
    &ColorSubTable,
    &ColorSubTableEXT,
    &ColorTable,
    &ColorTableEXT,
    &ColorTableParameterfv,
    &ColorTableParameterfvSGI,
    &ColorTableParameteriv,
    &ColorTableParameterivSGI,
    &ColorTableSGI,
    &CombinerInputNV,
    &CombinerOutputNV,
    &CombinerParameterfNV,
    &CombinerParameterfvNV,
    &CombinerParameteriNV,
    &CombinerParameterivNV,
    &CombinerStageParameterfvNV,
    &CommandListSegmentsNV,
    &CompileCommandListNV,
    &CompileShader,
    &CompileShaderARB,
    &CompileShaderIncludeARB,
    &CompressedMultiTexImage1DEXT,
    &CompressedMultiTexImage2DEXT,
    &CompressedMultiTexImage3DEXT,
    &CompressedMultiTexSubImage1DEXT,
    &CompressedMultiTexSubImage2DEXT,
    &CompressedMultiTexSubImage3DEXT,
    &CompressedTexImage1D,
    &CompressedTexImage1DARB,
    &CompressedTexImage2D,
    &CompressedTexImage2DARB,
    &CompressedTexImage3D,
    &CompressedTexImage3DARB,
    &CompressedTexSubImage1D,
    &CompressedTexSubImage1DARB,
    &CompressedTexSubImage2D,
    &CompressedTexSubImage2DARB,
    &CompressedTexSubImage3D,
    &CompressedTexSubImage3DARB,
    &CompressedTextureImage1DEXT,
    &CompressedTextureImage2DEXT,
    &CompressedTextureImage3DEXT,
    &CompressedTextureSubImage1D,
    &CompressedTextureSubImage1DEXT,
    &CompressedTextureSubImage2D,
    &CompressedTextureSubImage2DEXT,
    &CompressedTextureSubImage3D,
    &CompressedTextureSubImage3DEXT,
    &ConservativeRasterParameterfNV,
    &ConservativeRasterParameteriNV,
    &ConvolutionFilter1D,
    &ConvolutionFilter1DEXT,
    &ConvolutionFilter2D,
    &ConvolutionFilter2DEXT,
    &ConvolutionParameterf,
    &ConvolutionParameterfEXT,
    &ConvolutionParameterfv,
    &ConvolutionParameterfvEXT,
    &ConvolutionParameteri,
    &ConvolutionParameteriEXT,
    &ConvolutionParameteriv,
    &ConvolutionParameterivEXT,
    &ConvolutionParameterxOES,
    &ConvolutionParameterxvOES,
    &CopyBufferSubData,
    &CopyColorSubTable,
    &CopyColorSubTableEXT,
    &CopyColorTable,
    &CopyColorTableSGI,
    &CopyConvolutionFilter1D,
    &CopyConvolutionFilter1DEXT,
    &CopyConvolutionFilter2D,
    &CopyConvolutionFilter2DEXT,
    &CopyImageSubData,
    &CopyImageSubDataNV,
    &CopyMultiTexImage1DEXT,
    &CopyMultiTexImage2DEXT,
    &CopyMultiTexSubImage1DEXT,
    &CopyMultiTexSubImage2DEXT,
    &CopyMultiTexSubImage3DEXT,
    &CopyNamedBufferSubData,
    &CopyPathNV,
    &CopyPixels,
    &CopyTexImage1D,
    &CopyTexImage1DEXT,
    &CopyTexImage2D,
    &CopyTexImage2DEXT,
    &CopyTexSubImage1D,
    &CopyTexSubImage1DEXT,
    &CopyTexSubImage2D,
    &CopyTexSubImage2DEXT,
    &CopyTexSubImage3D,
    &CopyTexSubImage3DEXT,
    &CopyTextureImage1DEXT,
    &CopyTextureImage2DEXT,
    &CopyTextureSubImage1D,
    &CopyTextureSubImage1DEXT,
    &CopyTextureSubImage2D,
    &CopyTextureSubImage2DEXT,
    &CopyTextureSubImage3D,
    &CopyTextureSubImage3DEXT,
    &CoverageModulationNV,
    &CoverageModulationTableNV,
    &CoverFillPathInstancedNV,
    &CoverFillPathNV,
    &CoverStrokePathInstancedNV,
    &CoverStrokePathNV,
    &CreateBuffers,
    &CreateCommandListsNV,
    &CreateFramebuffers,
    &CreateMemoryObjectsEXT,
    &CreatePerfQueryINTEL,
    &CreateProgram,
    &CreateProgramObjectARB,
    &CreateProgramPipelines,
    &CreateProgressFenceNVX,
    &CreateQueries,
    &CreateRenderbuffers,
    &CreateSamplers,
    &CreateSemaphoresNV,
    &CreateShader,
    &CreateShaderObjectARB,
    &CreateShaderProgramEXT,
    &CreateShaderProgramv,
    &CreateShaderProgramvEXT,
    &CreateStatesNV,
    &CreateSyncFromCLeventARB,
    &CreateTextures,
    &CreateTransformFeedbacks,
    &CreateVertexArrays,
    &CullFace,
    &CullParameterdvEXT,
    &CullParameterfvEXT,
    &CurrentPaletteMatrixARB,
    &DebugMessageCallback,
    &DebugMessageCallbackAMD,
    &DebugMessageCallbackARB,
    &DebugMessageCallbackKHR,
    &DebugMessageControl,
    &DebugMessageControlARB,
    &DebugMessageControlKHR,
    &DebugMessageEnableAMD,
    &DebugMessageInsert,
    &DebugMessageInsertAMD,
    &DebugMessageInsertARB,
    &DebugMessageInsertKHR,
    &DeformationMap3dSGIX,
    &DeformationMap3fSGIX,
    &DeformSGIX,
    &DeleteAsyncMarkersSGIX,
    &DeleteBuffers,
    &DeleteBuffersARB,
    &DeleteCommandListsNV,
    &DeleteFencesAPPLE,
    &DeleteFencesNV,
    &DeleteFragmentShaderATI,
    &DeleteFramebuffers,
    &DeleteFramebuffersEXT,
    &DeleteLists,
    &DeleteMemoryObjectsEXT,
    &DeleteNamedStringARB,
    &DeleteNamesAMD,
    &DeleteObjectARB,
    &DeleteOcclusionQueriesNV,
    &DeletePathsNV,
    &DeletePerfMonitorsAMD,
    &DeletePerfQueryINTEL,
    &DeleteProgram,
    &DeleteProgramPipelines,
    &DeleteProgramPipelinesEXT,
    &DeleteProgramsARB,
    &DeleteProgramsNV,
    &DeleteQueries,
    &DeleteQueriesARB,
    &DeleteQueryResourceTagNV,
    &DeleteRenderbuffers,
    &DeleteRenderbuffersEXT,
    &DeleteSamplers,
    &DeleteSemaphoresEXT,
    &DeleteShader,
    &DeleteStatesNV,
    &DeleteSync,
    &DeleteTextures,
    &DeleteTexturesEXT,
    &DeleteTransformFeedbacks,
    &DeleteTransformFeedbacksNV,
    &DeleteVertexArrays,
    &DeleteVertexArraysAPPLE,
    &DeleteVertexShaderEXT,
    &DepthBoundsdNV,
    &DepthBoundsEXT,
    &DepthFunc,
    &DepthMask,
    &DepthRange,
    &DepthRangeArraydvNV,
    &DepthRangeArrayv,
    &DepthRangedNV,
    &DepthRangef,
    &DepthRangefOES,
    &DepthRangeIndexed,
    &DepthRangeIndexeddNV,
    &DepthRangexOES,
    &DetachObjectARB,
    &DetachShader,
    &DetailTexFuncSGIS,
    &Disable,
    &DisableClientState,
    &DisableClientStateiEXT,
    &DisableClientStateIndexedEXT,
    &Disablei,
    &DisableIndexedEXT,
    &DisableVariantClientStateEXT,
    &DisableVertexArrayAttrib,
    &DisableVertexArrayAttribEXT,
    &DisableVertexArrayEXT,
    &DisableVertexAttribAPPLE,
    &DisableVertexAttribArray,
    &DisableVertexAttribArrayARB,
    &DispatchCompute,
    &DispatchComputeGroupSizeARB,
    &DispatchComputeIndirect,
    &DrawArrays,
    &DrawArraysEXT,
    &DrawArraysIndirect,
    &DrawArraysInstanced,
    &DrawArraysInstancedARB,
    &DrawArraysInstancedBaseInstance,
    &DrawArraysInstancedEXT,
    &DrawBuffer,
    &DrawBuffers,
    &DrawBuffersARB,
    &DrawBuffersATI,
    &DrawCommandsAddressNV,
    &DrawCommandsNV,
    &DrawCommandsStatesAddressNV,
    &DrawCommandsStatesNV,
    &DrawElementArrayAPPLE,
    &DrawElementArrayATI,
    &DrawElements,
    &DrawElementsBaseVertex,
    &DrawElementsIndirect,
    &DrawElementsInstanced,
    &DrawElementsInstancedARB,
    &DrawElementsInstancedBaseInstance,
    &DrawElementsInstancedBaseVertex,
    &DrawElementsInstancedBaseVertexBaseInstance,
    &DrawElementsInstancedEXT,
    &DrawMeshArraysSUN,
    &DrawMeshTasksIndirectNV,
    &DrawMeshTasksNV,
    &DrawPixels,
    &DrawRangeElementArrayAPPLE,
    &DrawRangeElementArrayATI,
    &DrawRangeElements,
    &DrawRangeElementsBaseVertex,
    &DrawRangeElementsEXT,
    &DrawTextureNV,
    &DrawTransformFeedback,
    &DrawTransformFeedbackInstanced,
    &DrawTransformFeedbackNV,
    &DrawTransformFeedbackStream,
    &DrawTransformFeedbackStreamInstanced,
    &DrawVkImageNV,
    &EdgeFlag,
    &EdgeFlagFormatNV,
    &EdgeFlagPointer,
    &EdgeFlagPointerEXT,
    &EdgeFlagPointerListIBM,
    &EdgeFlagv,
    &EGLImageTargetTexStorageEXT,
    &EGLImageTargetTextureStorageEXT,
    &ElementPointerAPPLE,
    &ElementPointerATI,
    &Enable,
    &EnableClientState,
    &EnableClientStateiEXT,
    &EnableClientStateIndexedEXT,
    &Enablei,
    &EnableIndexedEXT,
    &EnableVariantClientStateEXT,
    &EnableVertexArrayAttrib,
    &EnableVertexArrayAttribEXT,
    &EnableVertexArrayEXT,
    &EnableVertexAttribAPPLE,
    &EnableVertexAttribArray,
    &EnableVertexAttribArrayARB,
    &End,
    &EndConditionalRender,
    &EndConditionalRenderNV,
    &EndConditionalRenderNVX,
    &EndFragmentShaderATI,
    &EndList,
    &EndOcclusionQueryNV,
    &EndPerfMonitorAMD,
    &EndPerfQueryINTEL,
    &EndQuery,
    &EndQueryARB,
    &EndQueryIndexed,
    &EndTransformFeedback,
    &EndTransformFeedbackEXT,
    &EndTransformFeedbackNV,
    &EndVertexShaderEXT,
    &EndVideoCaptureNV,
    &EvalCoord1d,
    &EvalCoord1dv,
    &EvalCoord1f,
    &EvalCoord1fv,
    &EvalCoord1xOES,
    &EvalCoord1xvOES,
    &EvalCoord2d,
    &EvalCoord2dv,
    &EvalCoord2f,
    &EvalCoord2fv,
    &EvalCoord2xOES,
    &EvalCoord2xvOES,
    &EvalMapsNV,
    &EvalMesh1,
    &EvalMesh2,
    &EvalPoint1,
    &EvalPoint2,
    &EvaluateDepthValuesARB,
    &ExecuteProgramNV,
    &ExtractComponentEXT,
    &FeedbackBuffer,
    &FeedbackBufferxOES,
    &FenceSync,
    &FinalCombinerInputNV,
    &Finish,
    &FinishAsyncSGIX,
    &FinishFenceAPPLE,
    &FinishFenceNV,
    &FinishObjectAPPLE,
    &FinishTextureSUNX,
    &Flush,
    &FlushMappedBufferRange,
    &FlushMappedBufferRangeAPPLE,
    &FlushMappedNamedBufferRange,
    &FlushMappedNamedBufferRangeEXT,
    &FlushPixelDataRangeNV,
    &FlushRasterSGIX,
    &FlushStaticDataIBM,
    &FlushVertexArrayRangeAPPLE,
    &FlushVertexArrayRangeNV,
    &FogCoordd,
    &FogCoorddEXT,
    &FogCoorddv,
    &FogCoorddvEXT,
    &FogCoordf,
    &FogCoordfEXT,
    &FogCoordFormatNV,
    &FogCoordfv,
    &FogCoordfvEXT,
    &FogCoordhNV,
    &FogCoordhvNV,
    &FogCoordPointer,
    &FogCoordPointerEXT,
    &FogCoordPointerListIBM,
    &Fogf,
    &FogFuncSGIS,
    &Fogfv,
    &Fogi,
    &Fogiv,
    &FogxOES,
    &FogxvOES,
    &FragmentColorMaterialSGIX,
    &FragmentCoverageColorNV,
    &FragmentLightfSGIX,
    &FragmentLightfvSGIX,
    &FragmentLightiSGIX,
    &FragmentLightivSGIX,
    &FragmentLightModelfSGIX,
    &FragmentLightModelfvSGIX,
    &FragmentLightModeliSGIX,
    &FragmentLightModelivSGIX,
    &FragmentMaterialfSGIX,
    &FragmentMaterialfvSGIX,
    &FragmentMaterialiSGIX,
    &FragmentMaterialivSGIX,
    &FramebufferDrawBufferEXT,
    &FramebufferDrawBuffersEXT,
    &FramebufferFetchBarrierEXT,
    &FramebufferParameteri,
    &FramebufferParameteriMESA,
    &FramebufferReadBufferEXT,
    &FramebufferRenderbuffer,
    &FramebufferRenderbufferEXT,
    &FramebufferSampleLocationsfvARB,
    &FramebufferSampleLocationsfvNV,
    &FramebufferSamplePositionsfvAMD,
    &FramebufferTexture,
    &FramebufferTexture1D,
    &FramebufferTexture1DEXT,
    &FramebufferTexture2D,
    &FramebufferTexture2DEXT,
    &FramebufferTexture3D,
    &FramebufferTexture3DEXT,
    &FramebufferTextureARB,
    &FramebufferTextureEXT,
    &FramebufferTextureFaceARB,
    &FramebufferTextureFaceEXT,
    &FramebufferTextureLayer,
    &FramebufferTextureLayerARB,
    &FramebufferTextureLayerEXT,
    &FramebufferTextureMultiviewOVR,
    &FrameTerminatorGREMEDY,
    &FrameZoomSGIX,
    &FreeObjectBufferATI,
    &FrontFace,
    &Frustum,
    &FrustumfOES,
    &FrustumxOES,
    &GenAsyncMarkersSGIX,
    &GenBuffers,
    &GenBuffersARB,
    &GenerateMipmap,
    &GenerateMipmapEXT,
    &GenerateMultiTexMipmapEXT,
    &GenerateTextureMipmap,
    &GenerateTextureMipmapEXT,
    &GenFencesAPPLE,
    &GenFencesNV,
    &GenFragmentShadersATI,
    &GenFramebuffers,
    &GenFramebuffersEXT,
    &GenLists,
    &GenNamesAMD,
    &GenOcclusionQueriesNV,
    &GenPathsNV,
    &GenPerfMonitorsAMD,
    &GenProgramPipelines,
    &GenProgramPipelinesEXT,
    &GenProgramsARB,
    &GenProgramsNV,
    &GenQueries,
    &GenQueriesARB,
    &GenQueryResourceTagNV,
    &GenRenderbuffers,
    &GenRenderbuffersEXT,
    &GenSamplers,
    &GenSemaphoresEXT,
    &GenSymbolsEXT,
    &GenTextures,
    &GenTexturesEXT,
    &GenTransformFeedbacks,
    &GenTransformFeedbacksNV,
    &GenVertexArrays,
    &GenVertexArraysAPPLE,
    &GenVertexShadersEXT,
    &GetActiveAtomicCounterBufferiv,
    &GetActiveAttrib,
    &GetActiveAttribARB,
    &GetActiveSubroutineName,
    &GetActiveSubroutineUniformiv,
    &GetActiveSubroutineUniformName,
    &GetActiveUniform,
    &GetActiveUniformARB,
    &GetActiveUniformBlockiv,
    &GetActiveUniformBlockName,
    &GetActiveUniformName,
    &GetActiveUniformsiv,
    &GetActiveVaryingNV,
    &GetArrayObjectfvATI,
    &GetArrayObjectivATI,
    &GetAttachedObjectsARB,
    &GetAttachedShaders,
    &GetAttribLocation,
    &GetAttribLocationARB,
    &GetBooleani_v,
    &GetBooleanIndexedvEXT,
    &GetBooleanv,
    &GetBufferParameteri64v,
    &GetBufferParameteriv,
    &GetBufferParameterivARB,
    &GetBufferParameterui64vNV,
    &GetBufferPointerv,
    &GetBufferPointervARB,
    &GetBufferSubData,
    &GetBufferSubDataARB,
    &GetClipPlane,
    &GetClipPlanefOES,
    &GetClipPlanexOES,
    &GetColorTable,
    &GetColorTableEXT,
    &GetColorTableParameterfv,
    &GetColorTableParameterfvEXT,
    &GetColorTableParameterfvSGI,
    &GetColorTableParameteriv,
    &GetColorTableParameterivEXT,
    &GetColorTableParameterivSGI,
    &GetColorTableSGI,
    &GetCombinerInputParameterfvNV,
    &GetCombinerInputParameterivNV,
    &GetCombinerOutputParameterfvNV,
    &GetCombinerOutputParameterivNV,
    &GetCombinerStageParameterfvNV,
    &GetCommandHeaderNV,
    &GetCompressedMultiTexImageEXT,
    &GetCompressedTexImage,
    &GetCompressedTexImageARB,
    &GetCompressedTextureImage,
    &GetCompressedTextureImageEXT,
    &GetCompressedTextureSubImage,
    &GetConvolutionFilter,
    &GetConvolutionFilterEXT,
    &GetConvolutionParameterfv,
    &GetConvolutionParameterfvEXT,
    &GetConvolutionParameteriv,
    &GetConvolutionParameterivEXT,
    &GetConvolutionParameterxvOES,
    &GetCoverageModulationTableNV,
    &GetDebugMessageLog,
    &GetDebugMessageLogAMD,
    &GetDebugMessageLogARB,
    &GetDebugMessageLogKHR,
    &GetDetailTexFuncSGIS,
    &GetDoublei_v,
    &GetDoublei_vEXT,
    &GetDoubleIndexedvEXT,
    &GetDoublev,
    &GetError,
    &GetFenceivNV,
    &GetFinalCombinerInputParameterfvNV,
    &GetFinalCombinerInputParameterivNV,
    &GetFirstPerfQueryIdINTEL,
    &GetFixedvOES,
    &GetFloati_v,
    &GetFloati_vEXT,
    &GetFloatIndexedvEXT,
    &GetFloatv,
    &GetFogFuncSGIS,
    &GetFragDataIndex,
    &GetFragDataLocation,
    &GetFragDataLocationEXT,
    &GetFragmentLightfvSGIX,
    &GetFragmentLightivSGIX,
    &GetFragmentMaterialfvSGIX,
    &GetFragmentMaterialivSGIX,
    &GetFramebufferAttachmentParameteriv,
    &GetFramebufferAttachmentParameterivEXT,
    &GetFramebufferParameterfvAMD,
    &GetFramebufferParameteriv,
    &GetFramebufferParameterivEXT,
    &GetFramebufferParameterivMESA,
    &GetGraphicsResetStatus,
    &GetGraphicsResetStatusARB,
    &GetGraphicsResetStatusKHR,
    &GetHandleARB,
    &GetHistogram,
    &GetHistogramEXT,
    &GetHistogramParameterfv,
    &GetHistogramParameterfvEXT,
    &GetHistogramParameteriv,
    &GetHistogramParameterivEXT,
    &GetHistogramParameterxvOES,
    &GetImageHandleARB,
    &GetImageHandleNV,
    &GetImageTransformParameterfvHP,
    &GetImageTransformParameterivHP,
    &GetInfoLogARB,
    &GetInstrumentsSGIX,
    &GetInteger64i_v,
    &GetInteger64v,
    &GetIntegeri_v,
    &GetIntegerIndexedvEXT,
    &GetIntegerui64i_vNV,
    &GetIntegerui64vNV,
    &GetIntegerv,
    &GetInternalformati64v,
    &GetInternalformativ,
    &GetInternalformatSampleivNV,
    &GetInvariantBooleanvEXT,
    &GetInvariantFloatvEXT,
    &GetInvariantIntegervEXT,
    &GetLightfv,
    &GetLightiv,
    &GetLightxOES,
    &GetLightxvOES,
    &GetListParameterfvSGIX,
    &GetListParameterivSGIX,
    &GetLocalConstantBooleanvEXT,
    &GetLocalConstantFloatvEXT,
    &GetLocalConstantIntegervEXT,
    &GetMapAttribParameterfvNV,
    &GetMapAttribParameterivNV,
    &GetMapControlPointsNV,
    &GetMapdv,
    &GetMapfv,
    &GetMapiv,
    &GetMapParameterfvNV,
    &GetMapParameterivNV,
    &GetMapxvOES,
    &GetMaterialfv,
    &GetMaterialiv,
    &GetMaterialxOES,
    &GetMaterialxvOES,
    &GetMemoryObjectDetachedResourcesuivNV,
    &GetMemoryObjectParameterivEXT,
    &GetMinmax,
    &GetMinmaxEXT,
    &GetMinmaxParameterfv,
    &GetMinmaxParameterfvEXT,
    &GetMinmaxParameteriv,
    &GetMinmaxParameterivEXT,
    &GetMultisamplefv,
    &GetMultisamplefvNV,
    &GetMultiTexEnvfvEXT,
    &GetMultiTexEnvivEXT,
    &GetMultiTexGendvEXT,
    &GetMultiTexGenfvEXT,
    &GetMultiTexGenivEXT,
    &GetMultiTexImageEXT,
    &GetMultiTexLevelParameterfvEXT,
    &GetMultiTexLevelParameterivEXT,
    &GetMultiTexParameterfvEXT,
    &GetMultiTexParameterIivEXT,
    &GetMultiTexParameterIuivEXT,
    &GetMultiTexParameterivEXT,
    &GetNamedBufferParameteri64v,
    &GetNamedBufferParameteriv,
    &GetNamedBufferParameterivEXT,
    &GetNamedBufferParameterui64vNV,
    &GetNamedBufferPointerv,
    &GetNamedBufferPointervEXT,
    &GetNamedBufferSubData,
    &GetNamedBufferSubDataEXT,
    &GetNamedFramebufferAttachmentParameteriv,
    &GetNamedFramebufferAttachmentParameterivEXT,
    &GetNamedFramebufferParameterfvAMD,
    &GetNamedFramebufferParameteriv,
    &GetNamedFramebufferParameterivEXT,
    &GetNamedProgramivEXT,
    &GetNamedProgramLocalParameterdvEXT,
    &GetNamedProgramLocalParameterfvEXT,
    &GetNamedProgramLocalParameterIivEXT,
    &GetNamedProgramLocalParameterIuivEXT,
    &GetNamedProgramStringEXT,
    &GetNamedRenderbufferParameteriv,
    &GetNamedRenderbufferParameterivEXT,
    &GetNamedStringARB,
    &GetNamedStringivARB,
    &GetnColorTable,
    &GetnColorTableARB,
    &GetnCompressedTexImage,
    &GetnCompressedTexImageARB,
    &GetnConvolutionFilter,
    &GetnConvolutionFilterARB,
    &GetNextPerfQueryIdINTEL,
    &GetnHistogram,
    &GetnHistogramARB,
    &GetnMapdv,
    &GetnMapdvARB,
    &GetnMapfv,
    &GetnMapfvARB,
    &GetnMapiv,
    &GetnMapivARB,
    &GetnMinmax,
    &GetnMinmaxARB,
    &GetnPixelMapfv,
    &GetnPixelMapfvARB,
    &GetnPixelMapuiv,
    &GetnPixelMapuivARB,
    &GetnPixelMapusv,
    &GetnPixelMapusvARB,
    &GetnPolygonStipple,
    &GetnPolygonStippleARB,
    &GetnSeparableFilter,
    &GetnSeparableFilterARB,
    &GetnTexImage,
    &GetnTexImageARB,
    &GetnUniformdv,
    &GetnUniformdvARB,
    &GetnUniformfv,
    &GetnUniformfvARB,
    &GetnUniformfvKHR,
    &GetnUniformi64vARB,
    &GetnUniformiv,
    &GetnUniformivARB,
    &GetnUniformivKHR,
    &GetnUniformui64vARB,
    &GetnUniformuiv,
    &GetnUniformuivARB,
    &GetnUniformuivKHR,
    &GetObjectBufferfvATI,
    &GetObjectBufferivATI,
    &GetObjectLabel,
    &GetObjectLabelEXT,
    &GetObjectLabelKHR,
    &GetObjectParameterfvARB,
    &GetObjectParameterivAPPLE,
    &GetObjectParameterivARB,
    &GetObjectPtrLabel,
    &GetObjectPtrLabelKHR,
    &GetOcclusionQueryivNV,
    &GetOcclusionQueryuivNV,
    &GetPathColorGenfvNV,
    &GetPathColorGenivNV,
    &GetPathCommandsNV,
    &GetPathCoordsNV,
    &GetPathDashArrayNV,
    &GetPathLengthNV,
    &GetPathMetricRangeNV,
    &GetPathMetricsNV,
    &GetPathParameterfvNV,
    &GetPathParameterivNV,
    &GetPathSpacingNV,
    &GetPathTexGenfvNV,
    &GetPathTexGenivNV,
    &GetPerfCounterInfoINTEL,
    &GetPerfMonitorCounterDataAMD,
    &GetPerfMonitorCounterInfoAMD,
    &GetPerfMonitorCountersAMD,
    &GetPerfMonitorCounterStringAMD,
    &GetPerfMonitorGroupsAMD,
    &GetPerfMonitorGroupStringAMD,
    &GetPerfQueryDataINTEL,
    &GetPerfQueryIdByNameINTEL,
    &GetPerfQueryInfoINTEL,
    &GetPixelMapfv,
    &GetPixelMapuiv,
    &GetPixelMapusv,
    &GetPixelMapxv,
    &GetPixelTexGenParameterfvSGIS,
    &GetPixelTexGenParameterivSGIS,
    &GetPixelTransformParameterfvEXT,
    &GetPixelTransformParameterivEXT,
    &GetPointeri_vEXT,
    &GetPointerIndexedvEXT,
    &GetPointerv,
    &GetPointervEXT,
    &GetPointervKHR,
    &GetPolygonStipple,
    &GetProgramBinary,
    &GetProgramEnvParameterdvARB,
    &GetProgramEnvParameterfvARB,
    &GetProgramEnvParameterIivNV,
    &GetProgramEnvParameterIuivNV,
    &GetProgramInfoLog,
    &GetProgramInterfaceiv,
    &GetProgramiv,
    &GetProgramivARB,
    &GetProgramivNV,
    &GetProgramLocalParameterdvARB,
    &GetProgramLocalParameterfvARB,
    &GetProgramLocalParameterIivNV,
    &GetProgramLocalParameterIuivNV,
    &GetProgramNamedParameterdvNV,
    &GetProgramNamedParameterfvNV,
    &GetProgramParameterdvNV,
    &GetProgramParameterfvNV,
    &GetProgramPipelineInfoLog,
    &GetProgramPipelineInfoLogEXT,
    &GetProgramPipelineiv,
    &GetProgramPipelineivEXT,
    &GetProgramResourcefvNV,
    &GetProgramResourceIndex,
    &GetProgramResourceiv,
    &GetProgramResourceLocation,
    &GetProgramResourceLocationIndex,
    &GetProgramResourceName,
    &GetProgramStageiv,
    &GetProgramStringARB,
    &GetProgramStringNV,
    &GetProgramSubroutineParameteruivNV,
    &GetQueryBufferObjecti64v,
    &GetQueryBufferObjectiv,
    &GetQueryBufferObjectui64v,
    &GetQueryBufferObjectuiv,
    &GetQueryIndexediv,
    &GetQueryiv,
    &GetQueryivARB,
    &GetQueryObjecti64v,
    &GetQueryObjecti64vEXT,
    &GetQueryObjectiv,
    &GetQueryObjectivARB,
    &GetQueryObjectui64v,
    &GetQueryObjectui64vEXT,
    &GetQueryObjectuiv,
    &GetQueryObjectuivARB,
    &GetRenderbufferParameteriv,
    &GetRenderbufferParameterivEXT,
    &GetSamplerParameterfv,
    &GetSamplerParameterIiv,
    &GetSamplerParameterIuiv,
    &GetSamplerParameteriv,
    &GetSemaphoreParameterivNV,
    &GetSemaphoreParameterui64vEXT,
    &GetSeparableFilter,
    &GetSeparableFilterEXT,
    &GetShaderInfoLog,
    &GetShaderiv,
    &GetShaderPrecisionFormat,
    &GetShaderSource,
    &GetShaderSourceARB,
    &GetShadingRateImagePaletteNV,
    &GetShadingRateSampleLocationivNV,
    &GetSharpenTexFuncSGIS,
    &GetStageIndexNV,
    &GetString,
    &GetStringi,
    &GetSubroutineIndex,
    &GetSubroutineUniformLocation,
    &GetSynciv,
    &GetTexBumpParameterfvATI,
    &GetTexBumpParameterivATI,
    &GetTexEnvfv,
    &GetTexEnviv,
    &GetTexEnvxvOES,
    &GetTexFilterFuncSGIS,
    &GetTexGendv,
    &GetTexGenfv,
    &GetTexGeniv,
    &GetTexGenxvOES,
    &GetTexImage,
    &GetTexLevelParameterfv,
    &GetTexLevelParameteriv,
    &GetTexLevelParameterxvOES,
    &GetTexParameterfv,
    &GetTexParameterIiv,
    &GetTexParameterIivEXT,
    &GetTexParameterIuiv,
    &GetTexParameterIuivEXT,
    &GetTexParameteriv,
    &GetTexParameterPointervAPPLE,
    &GetTexParameterxvOES,
    &GetTextureHandleARB,
    &GetTextureHandleNV,
    &GetTextureImage,
    &GetTextureImageEXT,
    &GetTextureLevelParameterfv,
    &GetTextureLevelParameterfvEXT,
    &GetTextureLevelParameteriv,
    &GetTextureLevelParameterivEXT,
    &GetTextureParameterfv,
    &GetTextureParameterfvEXT,
    &GetTextureParameterIiv,
    &GetTextureParameterIivEXT,
    &GetTextureParameterIuiv,
    &GetTextureParameterIuivEXT,
    &GetTextureParameteriv,
    &GetTextureParameterivEXT,
    &GetTextureSamplerHandleARB,
    &GetTextureSamplerHandleNV,
    &GetTextureSubImage,
    &GetTrackMatrixivNV,
    &GetTransformFeedbacki64_v,
    &GetTransformFeedbacki_v,
    &GetTransformFeedbackiv,
    &GetTransformFeedbackVarying,
    &GetTransformFeedbackVaryingEXT,
    &GetTransformFeedbackVaryingNV,
    &GetUniformBlockIndex,
    &GetUniformBufferSizeEXT,
    &GetUniformdv,
    &GetUniformfv,
    &GetUniformfvARB,
    &GetUniformi64vARB,
    &GetUniformi64vNV,
    &GetUniformIndices,
    &GetUniformiv,
    &GetUniformivARB,
    &GetUniformLocation,
    &GetUniformLocationARB,
    &GetUniformOffsetEXT,
    &GetUniformSubroutineuiv,
    &GetUniformui64vARB,
    &GetUniformui64vNV,
    &GetUniformuiv,
    &GetUniformuivEXT,
    &GetUnsignedBytei_vEXT,
    &GetUnsignedBytevEXT,
    &GetVariantArrayObjectfvATI,
    &GetVariantArrayObjectivATI,
    &GetVariantBooleanvEXT,
    &GetVariantFloatvEXT,
    &GetVariantIntegervEXT,
    &GetVariantPointervEXT,
    &GetVaryingLocationNV,
    &GetVertexArrayIndexed64iv,
    &GetVertexArrayIndexediv,
    &GetVertexArrayIntegeri_vEXT,
    &GetVertexArrayIntegervEXT,
    &GetVertexArrayiv,
    &GetVertexArrayPointeri_vEXT,
    &GetVertexArrayPointervEXT,
    &GetVertexAttribArrayObjectfvATI,
    &GetVertexAttribArrayObjectivATI,
    &GetVertexAttribdv,
    &GetVertexAttribdvARB,
    &GetVertexAttribdvNV,
    &GetVertexAttribfv,
    &GetVertexAttribfvARB,
    &GetVertexAttribfvNV,
    &GetVertexAttribIiv,
    &GetVertexAttribIivEXT,
    &GetVertexAttribIuiv,
    &GetVertexAttribIuivEXT,
    &GetVertexAttribiv,
    &GetVertexAttribivARB,
    &GetVertexAttribivNV,
    &GetVertexAttribLdv,
    &GetVertexAttribLdvEXT,
    &GetVertexAttribLi64vNV,
    &GetVertexAttribLui64vARB,
    &GetVertexAttribLui64vNV,
    &GetVertexAttribPointerv,
    &GetVertexAttribPointervARB,
    &GetVertexAttribPointervNV,
    &GetVideoCaptureivNV,
    &GetVideoCaptureStreamdvNV,
    &GetVideoCaptureStreamfvNV,
    &GetVideoCaptureStreamivNV,
    &GetVideoi64vNV,
    &GetVideoivNV,
    &GetVideoui64vNV,
    &GetVideouivNV,
    &GetVkProcAddrNV,
    &GlobalAlphaFactorbSUN,
    &GlobalAlphaFactordSUN,
    &GlobalAlphaFactorfSUN,
    &GlobalAlphaFactoriSUN,
    &GlobalAlphaFactorsSUN,
    &GlobalAlphaFactorubSUN,
    &GlobalAlphaFactoruiSUN,
    &GlobalAlphaFactorusSUN,
    &Hint,
    &HintPGI,
    &Histogram,
    &HistogramEXT,
    &IglooInterfaceSGIX,
    &ImageTransformParameterfHP,
    &ImageTransformParameterfvHP,
    &ImageTransformParameteriHP,
    &ImageTransformParameterivHP,
    &ImportMemoryFdEXT,
    &ImportMemoryWin32HandleEXT,
    &ImportMemoryWin32NameEXT,
    &ImportSemaphoreFdEXT,
    &ImportSemaphoreWin32HandleEXT,
    &ImportSemaphoreWin32NameEXT,
    &ImportSyncEXT,
    &Indexd,
    &Indexdv,
    &Indexf,
    &IndexFormatNV,
    &IndexFuncEXT,
    &Indexfv,
    &Indexi,
    &Indexiv,
    &IndexMask,
    &IndexMaterialEXT,
    &IndexPointer,
    &IndexPointerEXT,
    &IndexPointerListIBM,
    &Indexs,
    &Indexsv,
    &Indexub,
    &Indexubv,
    &IndexxOES,
    &IndexxvOES,
    &InitNames,
    &InsertComponentEXT,
    &InsertEventMarkerEXT,
    &InstrumentsBufferSGIX,
    &InterleavedArrays,
    &InterpolatePathsNV,
    &InvalidateBufferData,
    &InvalidateBufferSubData,
    &InvalidateFramebuffer,
    &InvalidateNamedFramebufferData,
    &InvalidateNamedFramebufferSubData,
    &InvalidateSubFramebuffer,
    &InvalidateTexImage,
    &InvalidateTexSubImage,
    &IsAsyncMarkerSGIX,
    &IsBuffer,
    &IsBufferARB,
    &IsBufferResidentNV,
    &IsCommandListNV,
    &IsEnabled,
    &IsEnabledi,
    &IsEnabledIndexedEXT,
    &IsFenceAPPLE,
    &IsFenceNV,
    &IsFramebuffer,
    &IsFramebufferEXT,
    &IsImageHandleResidentARB,
    &IsImageHandleResidentNV,
    &IsList,
    &IsMemoryObjectEXT,
    &IsNameAMD,
    &IsNamedBufferResidentNV,
    &IsNamedStringARB,
    &IsObjectBufferATI,
    &IsOcclusionQueryNV,
    &IsPathNV,
    &IsPointInFillPathNV,
    &IsPointInStrokePathNV,
    &IsProgram,
    &IsProgramARB,
    &IsProgramNV,
    &IsProgramPipeline,
    &IsProgramPipelineEXT,
    &IsQuery,
    &IsQueryARB,
    &IsRenderbuffer,
    &IsRenderbufferEXT,
    &IsSampler,
    &IsSemaphoreEXT,
    &IsShader,
    &IsStateNV,
    &IsSync,
    &IsTexture,
    &IsTextureEXT,
    &IsTextureHandleResidentARB,
    &IsTextureHandleResidentNV,
    &IsTransformFeedback,
    &IsTransformFeedbackNV,
    &IsVariantEnabledEXT,
    &IsVertexArray,
    &IsVertexArrayAPPLE,
    &IsVertexAttribEnabledAPPLE,
    &LabelObjectEXT,
    &LGPUCopyImageSubDataNVX,
    &LGPUInterlockNVX,
    &LGPUNamedBufferSubDataNVX,
    &LightEnviSGIX,
    &Lightf,
    &Lightfv,
    &Lighti,
    &Lightiv,
    &LightModelf,
    &LightModelfv,
    &LightModeli,
    &LightModeliv,
    &LightModelxOES,
    &LightModelxvOES,
    &LightxOES,
    &LightxvOES,
    &LineStipple,
    &LineWidth,
    &LineWidthxOES,
    &LinkProgram,
    &LinkProgramARB,
    &ListBase,
    &ListDrawCommandsStatesClientNV,
    &ListParameterfSGIX,
    &ListParameterfvSGIX,
    &ListParameteriSGIX,
    &ListParameterivSGIX,
    &LoadIdentity,
    &LoadIdentityDeformationMapSGIX,
    &LoadMatrixd,
    &LoadMatrixf,
    &LoadMatrixxOES,
    &LoadName,
    &LoadProgramNV,
    &LoadTransposeMatrixd,
    &LoadTransposeMatrixdARB,
    &LoadTransposeMatrixf,
    &LoadTransposeMatrixfARB,
    &LoadTransposeMatrixxOES,
    &LockArraysEXT,
    &LogicOp,
    &MakeBufferNonResidentNV,
    &MakeBufferResidentNV,
    &MakeImageHandleNonResidentARB,
    &MakeImageHandleNonResidentNV,
    &MakeImageHandleResidentARB,
    &MakeImageHandleResidentNV,
    &MakeNamedBufferNonResidentNV,
    &MakeNamedBufferResidentNV,
    &MakeTextureHandleNonResidentARB,
    &MakeTextureHandleNonResidentNV,
    &MakeTextureHandleResidentARB,
    &MakeTextureHandleResidentNV,
    &Map1d,
    &Map1f,
    &Map1xOES,
    &Map2d,
    &Map2f,
    &Map2xOES,
    &MapBuffer,
    &MapBufferARB,
    &MapBufferRange,
    &MapControlPointsNV,
    &MapGrid1d,
    &MapGrid1f,
    &MapGrid1xOES,
    &MapGrid2d,
    &MapGrid2f,
    &MapGrid2xOES,
    &MapNamedBuffer,
    &MapNamedBufferEXT,
    &MapNamedBufferRange,
    &MapNamedBufferRangeEXT,
    &MapObjectBufferATI,
    &MapParameterfvNV,
    &MapParameterivNV,
    &MapTexture2DINTEL,
    &MapVertexAttrib1dAPPLE,
    &MapVertexAttrib1fAPPLE,
    &MapVertexAttrib2dAPPLE,
    &MapVertexAttrib2fAPPLE,
    &Materialf,
    &Materialfv,
    &Materiali,
    &Materialiv,
    &MaterialxOES,
    &MaterialxvOES,
    &MatrixFrustumEXT,
    &MatrixIndexPointerARB,
    &MatrixIndexubvARB,
    &MatrixIndexuivARB,
    &MatrixIndexusvARB,
    &MatrixLoad3x2fNV,
    &MatrixLoad3x3fNV,
    &MatrixLoaddEXT,
    &MatrixLoadfEXT,
    &MatrixLoadIdentityEXT,
    &MatrixLoadTranspose3x3fNV,
    &MatrixLoadTransposedEXT,
    &MatrixLoadTransposefEXT,
    &MatrixMode,
    &MatrixMult3x2fNV,
    &MatrixMult3x3fNV,
    &MatrixMultdEXT,
    &MatrixMultfEXT,
    &MatrixMultTranspose3x3fNV,
    &MatrixMultTransposedEXT,
    &MatrixMultTransposefEXT,
    &MatrixOrthoEXT,
    &MatrixPopEXT,
    &MatrixPushEXT,
    &MatrixRotatedEXT,
    &MatrixRotatefEXT,
    &MatrixScaledEXT,
    &MatrixScalefEXT,
    &MatrixTranslatedEXT,
    &MatrixTranslatefEXT,
    &MaxShaderCompilerThreadsARB,
    &MaxShaderCompilerThreadsKHR,
    &MemoryBarrier,
    &MemoryBarrierByRegion,
    &MemoryBarrierEXT,
    &MemoryObjectParameterivEXT,
    &Minmax,
    &MinmaxEXT,
    &MinSampleShading,
    &MinSampleShadingARB,
    &MulticastBarrierNV,
    &MulticastBlitFramebufferNV,
    &MulticastBufferSubDataNV,
    &MulticastCopyBufferSubDataNV,
    &MulticastCopyImageSubDataNV,
    &MulticastFramebufferSampleLocationsfvNV,
    &MulticastGetQueryObjecti64vNV,
    &MulticastGetQueryObjectivNV,
    &MulticastGetQueryObjectui64vNV,
    &MulticastGetQueryObjectuivNV,
    &MulticastScissorArrayvNVX,
    &MulticastViewportArrayvNVX,
    &MulticastViewportPositionWScaleNVX,
    &MulticastWaitSyncNV,
    &MultiDrawArrays,
    &MultiDrawArraysEXT,
    &MultiDrawArraysIndirect,
    &MultiDrawArraysIndirectAMD,
    &MultiDrawArraysIndirectBindlessCountNV,
    &MultiDrawArraysIndirectBindlessNV,
    &MultiDrawArraysIndirectCount,
    &MultiDrawArraysIndirectCountARB,
    &MultiDrawElementArrayAPPLE,
    &MultiDrawElements,
    &MultiDrawElementsBaseVertex,
    &MultiDrawElementsEXT,
    &MultiDrawElementsIndirect,
    &MultiDrawElementsIndirectAMD,
    &MultiDrawElementsIndirectBindlessCountNV,
    &MultiDrawElementsIndirectBindlessNV,
    &MultiDrawElementsIndirectCount,
    &MultiDrawElementsIndirectCountARB,
    &MultiDrawMeshTasksIndirectCountNV,
    &MultiDrawMeshTasksIndirectNV,
    &MultiDrawRangeElementArrayAPPLE,
    &MultiModeDrawArraysIBM,
    &MultiModeDrawElementsIBM,
    &MultiTexBufferEXT,
    &MultiTexCoord1bOES,
    &MultiTexCoord1bvOES,
    &MultiTexCoord1d,
    &MultiTexCoord1dARB,
    &MultiTexCoord1dv,
    &MultiTexCoord1dvARB,
    &MultiTexCoord1f,
    &MultiTexCoord1fARB,
    &MultiTexCoord1fv,
    &MultiTexCoord1fvARB,
    &MultiTexCoord1hNV,
    &MultiTexCoord1hvNV,
    &MultiTexCoord1i,
    &MultiTexCoord1iARB,
    &MultiTexCoord1iv,
    &MultiTexCoord1ivARB,
    &MultiTexCoord1s,
    &MultiTexCoord1sARB,
    &MultiTexCoord1sv,
    &MultiTexCoord1svARB,
    &MultiTexCoord1xOES,
    &MultiTexCoord1xvOES,
    &MultiTexCoord2bOES,
    &MultiTexCoord2bvOES,
    &MultiTexCoord2d,
    &MultiTexCoord2dARB,
    &MultiTexCoord2dv,
    &MultiTexCoord2dvARB,
    &MultiTexCoord2f,
    &MultiTexCoord2fARB,
    &MultiTexCoord2fv,
    &MultiTexCoord2fvARB,
    &MultiTexCoord2hNV,
    &MultiTexCoord2hvNV,
    &MultiTexCoord2i,
    &MultiTexCoord2iARB,
    &MultiTexCoord2iv,
    &MultiTexCoord2ivARB,
    &MultiTexCoord2s,
    &MultiTexCoord2sARB,
    &MultiTexCoord2sv,
    &MultiTexCoord2svARB,
    &MultiTexCoord2xOES,
    &MultiTexCoord2xvOES,
    &MultiTexCoord3bOES,
    &MultiTexCoord3bvOES,
    &MultiTexCoord3d,
    &MultiTexCoord3dARB,
    &MultiTexCoord3dv,
    &MultiTexCoord3dvARB,
    &MultiTexCoord3f,
    &MultiTexCoord3fARB,
    &MultiTexCoord3fv,
    &MultiTexCoord3fvARB,
    &MultiTexCoord3hNV,
    &MultiTexCoord3hvNV,
    &MultiTexCoord3i,
    &MultiTexCoord3iARB,
    &MultiTexCoord3iv,
    &MultiTexCoord3ivARB,
    &MultiTexCoord3s,
    &MultiTexCoord3sARB,
    &MultiTexCoord3sv,
    &MultiTexCoord3svARB,
    &MultiTexCoord3xOES,
    &MultiTexCoord3xvOES,
    &MultiTexCoord4bOES,
    &MultiTexCoord4bvOES,
    &MultiTexCoord4d,
    &MultiTexCoord4dARB,
    &MultiTexCoord4dv,
    &MultiTexCoord4dvARB,
    &MultiTexCoord4f,
    &MultiTexCoord4fARB,
    &MultiTexCoord4fv,
    &MultiTexCoord4fvARB,
    &MultiTexCoord4hNV,
    &MultiTexCoord4hvNV,
    &MultiTexCoord4i,
    &MultiTexCoord4iARB,
    &MultiTexCoord4iv,
    &MultiTexCoord4ivARB,
    &MultiTexCoord4s,
    &MultiTexCoord4sARB,
    &MultiTexCoord4sv,
    &MultiTexCoord4svARB,
    &MultiTexCoord4xOES,
    &MultiTexCoord4xvOES,
    &MultiTexCoordP1ui,
    &MultiTexCoordP1uiv,
    &MultiTexCoordP2ui,
    &MultiTexCoordP2uiv,
    &MultiTexCoordP3ui,
    &MultiTexCoordP3uiv,
    &MultiTexCoordP4ui,
    &MultiTexCoordP4uiv,
    &MultiTexCoordPointerEXT,
    &MultiTexEnvfEXT,
    &MultiTexEnvfvEXT,
    &MultiTexEnviEXT,
    &MultiTexEnvivEXT,
    &MultiTexGendEXT,
    &MultiTexGendvEXT,
    &MultiTexGenfEXT,
    &MultiTexGenfvEXT,
    &MultiTexGeniEXT,
    &MultiTexGenivEXT,
    &MultiTexImage1DEXT,
    &MultiTexImage2DEXT,
    &MultiTexImage3DEXT,
    &MultiTexParameterfEXT,
    &MultiTexParameterfvEXT,
    &MultiTexParameteriEXT,
    &MultiTexParameterIivEXT,
    &MultiTexParameterIuivEXT,
    &MultiTexParameterivEXT,
    &MultiTexRenderbufferEXT,
    &MultiTexSubImage1DEXT,
    &MultiTexSubImage2DEXT,
    &MultiTexSubImage3DEXT,
    &MultMatrixd,
    &MultMatrixf,
    &MultMatrixxOES,
    &MultTransposeMatrixd,
    &MultTransposeMatrixdARB,
    &MultTransposeMatrixf,
    &MultTransposeMatrixfARB,
    &MultTransposeMatrixxOES,
    &NamedBufferAttachMemoryNV,
    &NamedBufferData,
    &NamedBufferDataEXT,
    &NamedBufferPageCommitmentARB,
    &NamedBufferPageCommitmentEXT,
    &NamedBufferPageCommitmentMemNV,
    &NamedBufferStorage,
    &NamedBufferStorageEXT,
    &NamedBufferStorageExternalEXT,
    &NamedBufferStorageMemEXT,
    &NamedBufferSubData,
    &NamedBufferSubDataEXT,
    &NamedCopyBufferSubDataEXT,
    &NamedFramebufferDrawBuffer,
    &NamedFramebufferDrawBuffers,
    &NamedFramebufferParameteri,
    &NamedFramebufferParameteriEXT,
    &NamedFramebufferReadBuffer,
    &NamedFramebufferRenderbuffer,
    &NamedFramebufferRenderbufferEXT,
    &NamedFramebufferSampleLocationsfvARB,
    &NamedFramebufferSampleLocationsfvNV,
    &NamedFramebufferSamplePositionsfvAMD,
    &NamedFramebufferTexture,
    &NamedFramebufferTexture1DEXT,
    &NamedFramebufferTexture2DEXT,
    &NamedFramebufferTexture3DEXT,
    &NamedFramebufferTextureEXT,
    &NamedFramebufferTextureFaceEXT,
    &NamedFramebufferTextureLayer,
    &NamedFramebufferTextureLayerEXT,
    &NamedProgramLocalParameter4dEXT,
    &NamedProgramLocalParameter4dvEXT,
    &NamedProgramLocalParameter4fEXT,
    &NamedProgramLocalParameter4fvEXT,
    &NamedProgramLocalParameterI4iEXT,
    &NamedProgramLocalParameterI4ivEXT,
    &NamedProgramLocalParameterI4uiEXT,
    &NamedProgramLocalParameterI4uivEXT,
    &NamedProgramLocalParameters4fvEXT,
    &NamedProgramLocalParametersI4ivEXT,
    &NamedProgramLocalParametersI4uivEXT,
    &NamedProgramStringEXT,
    &NamedRenderbufferStorage,
    &NamedRenderbufferStorageEXT,
    &NamedRenderbufferStorageMultisample,
    &NamedRenderbufferStorageMultisampleAdvancedAMD,
    &NamedRenderbufferStorageMultisampleCoverageEXT,
    &NamedRenderbufferStorageMultisampleEXT,
    &NamedStringARB,
    &NewList,
    &NewObjectBufferATI,
    &Normal3b,
    &Normal3bv,
    &Normal3d,
    &Normal3dv,
    &Normal3f,
    &Normal3fv,
    &Normal3fVertex3fSUN,
    &Normal3fVertex3fvSUN,
    &Normal3hNV,
    &Normal3hvNV,
    &Normal3i,
    &Normal3iv,
    &Normal3s,
    &Normal3sv,
    &Normal3xOES,
    &Normal3xvOES,
    &NormalFormatNV,
    &NormalP3ui,
    &NormalP3uiv,
    &NormalPointer,
    &NormalPointerEXT,
    &NormalPointerListIBM,
    &NormalPointervINTEL,
    &NormalStream3bATI,
    &NormalStream3bvATI,
    &NormalStream3dATI,
    &NormalStream3dvATI,
    &NormalStream3fATI,
    &NormalStream3fvATI,
    &NormalStream3iATI,
    &NormalStream3ivATI,
    &NormalStream3sATI,
    &NormalStream3svATI,
    &ObjectLabel,
    &ObjectLabelKHR,
    &ObjectPtrLabel,
    &ObjectPtrLabelKHR,
    &ObjectPurgeableAPPLE,
    &ObjectUnpurgeableAPPLE,
    &Ortho,
    &OrthofOES,
    &OrthoxOES,
    &PassTexCoordATI,
    &PassThrough,
    &PassThroughxOES,
    &PatchParameterfv,
    &PatchParameteri,
    &PathColorGenNV,
    &PathCommandsNV,
    &PathCoordsNV,
    &PathCoverDepthFuncNV,
    &PathDashArrayNV,
    &PathFogGenNV,
    &PathGlyphIndexArrayNV,
    &PathGlyphIndexRangeNV,
    &PathGlyphRangeNV,
    &PathGlyphsNV,
    &PathMemoryGlyphIndexArrayNV,
    &PathParameterfNV,
    &PathParameterfvNV,
    &PathParameteriNV,
    &PathParameterivNV,
    &PathStencilDepthOffsetNV,
    &PathStencilFuncNV,
    &PathStringNV,
    &PathSubCommandsNV,
    &PathSubCoordsNV,
    &PathTexGenNV,
    &PauseTransformFeedback,
    &PauseTransformFeedbackNV,
    &PixelDataRangeNV,
    &PixelMapfv,
    &PixelMapuiv,
    &PixelMapusv,
    &PixelMapx,
    &PixelStoref,
    &PixelStorei,
    &PixelStorex,
    &PixelTexGenParameterfSGIS,
    &PixelTexGenParameterfvSGIS,
    &PixelTexGenParameteriSGIS,
    &PixelTexGenParameterivSGIS,
    &PixelTexGenSGIX,
    &PixelTransferf,
    &PixelTransferi,
    &PixelTransferxOES,
    &PixelTransformParameterfEXT,
    &PixelTransformParameterfvEXT,
    &PixelTransformParameteriEXT,
    &PixelTransformParameterivEXT,
    &PixelZoom,
    &PixelZoomxOES,
    &PNTrianglesfATI,
    &PNTrianglesiATI,
    &PointAlongPathNV,
    &PointParameterf,
    &PointParameterfARB,
    &PointParameterfEXT,
    &PointParameterfSGIS,
    &PointParameterfv,
    &PointParameterfvARB,
    &PointParameterfvEXT,
    &PointParameterfvSGIS,
    &PointParameteri,
    &PointParameteriNV,
    &PointParameteriv,
    &PointParameterivNV,
    &PointParameterxOES,
    &PointParameterxvOES,
    &PointSize,
    &PointSizexOES,
    &PollAsyncSGIX,
    &PollInstrumentsSGIX,
    &PolygonMode,
    &PolygonOffset,
    &PolygonOffsetClamp,
    &PolygonOffsetClampEXT,
    &PolygonOffsetEXT,
    &PolygonOffsetxOES,
    &PolygonStipple,
    &PopAttrib,
    &PopClientAttrib,
    &PopDebugGroup,
    &PopDebugGroupKHR,
    &PopGroupMarkerEXT,
    &PopMatrix,
    &PopName,
    &PresentFrameDualFillNV,
    &PresentFrameKeyedNV,
    &PrimitiveBoundingBoxARB,
    &PrimitiveRestartIndex,
    &PrimitiveRestartIndexNV,
    &PrimitiveRestartNV,
    &PrioritizeTextures,
    &PrioritizeTexturesEXT,
    &PrioritizeTexturesxOES,
    &ProgramBinary,
    &ProgramBufferParametersfvNV,
    &ProgramBufferParametersIivNV,
    &ProgramBufferParametersIuivNV,
    &ProgramEnvParameter4dARB,
    &ProgramEnvParameter4dvARB,
    &ProgramEnvParameter4fARB,
    &ProgramEnvParameter4fvARB,
    &ProgramEnvParameterI4iNV,
    &ProgramEnvParameterI4ivNV,
    &ProgramEnvParameterI4uiNV,
    &ProgramEnvParameterI4uivNV,
    &ProgramEnvParameters4fvEXT,
    &ProgramEnvParametersI4ivNV,
    &ProgramEnvParametersI4uivNV,
    &ProgramLocalParameter4dARB,
    &ProgramLocalParameter4dvARB,
    &ProgramLocalParameter4fARB,
    &ProgramLocalParameter4fvARB,
    &ProgramLocalParameterI4iNV,
    &ProgramLocalParameterI4ivNV,
    &ProgramLocalParameterI4uiNV,
    &ProgramLocalParameterI4uivNV,
    &ProgramLocalParameters4fvEXT,
    &ProgramLocalParametersI4ivNV,
    &ProgramLocalParametersI4uivNV,
    &ProgramNamedParameter4dNV,
    &ProgramNamedParameter4dvNV,
    &ProgramNamedParameter4fNV,
    &ProgramNamedParameter4fvNV,
    &ProgramParameter4dNV,
    &ProgramParameter4dvNV,
    &ProgramParameter4fNV,
    &ProgramParameter4fvNV,
    &ProgramParameteri,
    &ProgramParameteriARB,
    &ProgramParameteriEXT,
    &ProgramParameters4dvNV,
    &ProgramParameters4fvNV,
    &ProgramPathFragmentInputGenNV,
    &ProgramStringARB,
    &ProgramSubroutineParametersuivNV,
    &ProgramUniform1d,
    &ProgramUniform1dEXT,
    &ProgramUniform1dv,
    &ProgramUniform1dvEXT,
    &ProgramUniform1f,
    &ProgramUniform1fEXT,
    &ProgramUniform1fv,
    &ProgramUniform1fvEXT,
    &ProgramUniform1i,
    &ProgramUniform1i64ARB,
    &ProgramUniform1i64NV,
    &ProgramUniform1i64vARB,
    &ProgramUniform1i64vNV,
    &ProgramUniform1iEXT,
    &ProgramUniform1iv,
    &ProgramUniform1ivEXT,
    &ProgramUniform1ui,
    &ProgramUniform1ui64ARB,
    &ProgramUniform1ui64NV,
    &ProgramUniform1ui64vARB,
    &ProgramUniform1ui64vNV,
    &ProgramUniform1uiEXT,
    &ProgramUniform1uiv,
    &ProgramUniform1uivEXT,
    &ProgramUniform2d,
    &ProgramUniform2dEXT,
    &ProgramUniform2dv,
    &ProgramUniform2dvEXT,
    &ProgramUniform2f,
    &ProgramUniform2fEXT,
    &ProgramUniform2fv,
    &ProgramUniform2fvEXT,
    &ProgramUniform2i,
    &ProgramUniform2i64ARB,
    &ProgramUniform2i64NV,
    &ProgramUniform2i64vARB,
    &ProgramUniform2i64vNV,
    &ProgramUniform2iEXT,
    &ProgramUniform2iv,
    &ProgramUniform2ivEXT,
    &ProgramUniform2ui,
    &ProgramUniform2ui64ARB,
    &ProgramUniform2ui64NV,
    &ProgramUniform2ui64vARB,
    &ProgramUniform2ui64vNV,
    &ProgramUniform2uiEXT,
    &ProgramUniform2uiv,
    &ProgramUniform2uivEXT,
    &ProgramUniform3d,
    &ProgramUniform3dEXT,
    &ProgramUniform3dv,
    &ProgramUniform3dvEXT,
    &ProgramUniform3f,
    &ProgramUniform3fEXT,
    &ProgramUniform3fv,
    &ProgramUniform3fvEXT,
    &ProgramUniform3i,
    &ProgramUniform3i64ARB,
    &ProgramUniform3i64NV,
    &ProgramUniform3i64vARB,
    &ProgramUniform3i64vNV,
    &ProgramUniform3iEXT,
    &ProgramUniform3iv,
    &ProgramUniform3ivEXT,
    &ProgramUniform3ui,
    &ProgramUniform3ui64ARB,
    &ProgramUniform3ui64NV,
    &ProgramUniform3ui64vARB,
    &ProgramUniform3ui64vNV,
    &ProgramUniform3uiEXT,
    &ProgramUniform3uiv,
    &ProgramUniform3uivEXT,
    &ProgramUniform4d,
    &ProgramUniform4dEXT,
    &ProgramUniform4dv,
    &ProgramUniform4dvEXT,
    &ProgramUniform4f,
    &ProgramUniform4fEXT,
    &ProgramUniform4fv,
    &ProgramUniform4fvEXT,
    &ProgramUniform4i,
    &ProgramUniform4i64ARB,
    &ProgramUniform4i64NV,
    &ProgramUniform4i64vARB,
    &ProgramUniform4i64vNV,
    &ProgramUniform4iEXT,
    &ProgramUniform4iv,
    &ProgramUniform4ivEXT,
    &ProgramUniform4ui,
    &ProgramUniform4ui64ARB,
    &ProgramUniform4ui64NV,
    &ProgramUniform4ui64vARB,
    &ProgramUniform4ui64vNV,
    &ProgramUniform4uiEXT,
    &ProgramUniform4uiv,
    &ProgramUniform4uivEXT,
    &ProgramUniformHandleui64ARB,
    &ProgramUniformHandleui64NV,
    &ProgramUniformHandleui64vARB,
    &ProgramUniformHandleui64vNV,
    &ProgramUniformMatrix2dv,
    &ProgramUniformMatrix2dvEXT,
    &ProgramUniformMatrix2fv,
    &ProgramUniformMatrix2fvEXT,
    &ProgramUniformMatrix2x3dv,
    &ProgramUniformMatrix2x3dvEXT,
    &ProgramUniformMatrix2x3fv,
    &ProgramUniformMatrix2x3fvEXT,
    &ProgramUniformMatrix2x4dv,
    &ProgramUniformMatrix2x4dvEXT,
    &ProgramUniformMatrix2x4fv,
    &ProgramUniformMatrix2x4fvEXT,
    &ProgramUniformMatrix3dv,
    &ProgramUniformMatrix3dvEXT,
    &ProgramUniformMatrix3fv,
    &ProgramUniformMatrix3fvEXT,
    &ProgramUniformMatrix3x2dv,
    &ProgramUniformMatrix3x2dvEXT,
    &ProgramUniformMatrix3x2fv,
    &ProgramUniformMatrix3x2fvEXT,
    &ProgramUniformMatrix3x4dv,
    &ProgramUniformMatrix3x4dvEXT,
    &ProgramUniformMatrix3x4fv,
    &ProgramUniformMatrix3x4fvEXT,
    &ProgramUniformMatrix4dv,
    &ProgramUniformMatrix4dvEXT,
    &ProgramUniformMatrix4fv,
    &ProgramUniformMatrix4fvEXT,
    &ProgramUniformMatrix4x2dv,
    &ProgramUniformMatrix4x2dvEXT,
    &ProgramUniformMatrix4x2fv,
    &ProgramUniformMatrix4x2fvEXT,
    &ProgramUniformMatrix4x3dv,
    &ProgramUniformMatrix4x3dvEXT,
    &ProgramUniformMatrix4x3fv,
    &ProgramUniformMatrix4x3fvEXT,
    &ProgramUniformui64NV,
    &ProgramUniformui64vNV,
    &ProgramVertexLimitNV,
    &ProvokingVertex,
    &ProvokingVertexEXT,
    &PushAttrib,
    &PushClientAttrib,
    &PushClientAttribDefaultEXT,
    &PushDebugGroup,
    &PushDebugGroupKHR,
    &PushGroupMarkerEXT,
    &PushMatrix,
    &PushName,
    &QueryCounter,
    &QueryMatrixxOES,
    &QueryObjectParameteruiAMD,
    &QueryResourceNV,
    &QueryResourceTagNV,
    &RasterPos2d,
    &RasterPos2dv,
    &RasterPos2f,
    &RasterPos2fv,
    &RasterPos2i,
    &RasterPos2iv,
    &RasterPos2s,
    &RasterPos2sv,
    &RasterPos2xOES,
    &RasterPos2xvOES,
    &RasterPos3d,
    &RasterPos3dv,
    &RasterPos3f,
    &RasterPos3fv,
    &RasterPos3i,
    &RasterPos3iv,
    &RasterPos3s,
    &RasterPos3sv,
    &RasterPos3xOES,
    &RasterPos3xvOES,
    &RasterPos4d,
    &RasterPos4dv,
    &RasterPos4f,
    &RasterPos4fv,
    &RasterPos4i,
    &RasterPos4iv,
    &RasterPos4s,
    &RasterPos4sv,
    &RasterPos4xOES,
    &RasterPos4xvOES,
    &RasterSamplesEXT,
    &ReadBuffer,
    &ReadInstrumentsSGIX,
    &ReadnPixels,
    &ReadnPixelsARB,
    &ReadnPixelsKHR,
    &ReadPixels,
    &Rectd,
    &Rectdv,
    &Rectf,
    &Rectfv,
    &Recti,
    &Rectiv,
    &Rects,
    &Rectsv,
    &RectxOES,
    &RectxvOES,
    &ReferencePlaneSGIX,
    &ReleaseKeyedMutexWin32EXT,
    &ReleaseShaderCompiler,
    &RenderbufferStorage,
    &RenderbufferStorageEXT,
    &RenderbufferStorageMultisample,
    &RenderbufferStorageMultisampleAdvancedAMD,
    &RenderbufferStorageMultisampleCoverageNV,
    &RenderbufferStorageMultisampleEXT,
    &RenderGpuMaskNV,
    &RenderMode,
    &ReplacementCodePointerSUN,
    &ReplacementCodeubSUN,
    &ReplacementCodeubvSUN,
    &ReplacementCodeuiColor3fVertex3fSUN,
    &ReplacementCodeuiColor3fVertex3fvSUN,
    &ReplacementCodeuiColor4fNormal3fVertex3fSUN,
    &ReplacementCodeuiColor4fNormal3fVertex3fvSUN,
    &ReplacementCodeuiColor4ubVertex3fSUN,
    &ReplacementCodeuiColor4ubVertex3fvSUN,
    &ReplacementCodeuiNormal3fVertex3fSUN,
    &ReplacementCodeuiNormal3fVertex3fvSUN,
    &ReplacementCodeuiSUN,
    &ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN,
    &ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN,
    &ReplacementCodeuiTexCoord2fNormal3fVertex3fSUN,
    &ReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN,
    &ReplacementCodeuiTexCoord2fVertex3fSUN,
    &ReplacementCodeuiTexCoord2fVertex3fvSUN,
    &ReplacementCodeuiVertex3fSUN,
    &ReplacementCodeuiVertex3fvSUN,
    &ReplacementCodeuivSUN,
    &ReplacementCodeusSUN,
    &ReplacementCodeusvSUN,
    &RequestResidentProgramsNV,
    &ResetHistogram,
    &ResetHistogramEXT,
    &ResetMemoryObjectParameterNV,
    &ResetMinmax,
    &ResetMinmaxEXT,
    &ResizeBuffersMESA,
    &ResolveDepthValuesNV,
    &ResumeTransformFeedback,
    &ResumeTransformFeedbackNV,
    &Rotated,
    &Rotatef,
    &RotatexOES,
    &SampleCoverage,
    &SampleCoverageARB,
    &SampleCoveragexOES,
    &SampleMapATI,
    &SampleMaskEXT,
    &SampleMaski,
    &SampleMaskIndexedNV,
    &SampleMaskSGIS,
    &SamplePatternEXT,
    &SamplePatternSGIS,
    &SamplerParameterf,
    &SamplerParameterfv,
    &SamplerParameteri,
    &SamplerParameterIiv,
    &SamplerParameterIuiv,
    &SamplerParameteriv,
    &Scaled,
    &Scalef,
    &ScalexOES,
    &Scissor,
    &ScissorArrayv,
    &ScissorExclusiveArrayvNV,
    &ScissorExclusiveNV,
    &ScissorIndexed,
    &ScissorIndexedv,
    &SecondaryColor3b,
    &SecondaryColor3bEXT,
    &SecondaryColor3bv,
    &SecondaryColor3bvEXT,
    &SecondaryColor3d,
    &SecondaryColor3dEXT,
    &SecondaryColor3dv,
    &SecondaryColor3dvEXT,
    &SecondaryColor3f,
    &SecondaryColor3fEXT,
    &SecondaryColor3fv,
    &SecondaryColor3fvEXT,
    &SecondaryColor3hNV,
    &SecondaryColor3hvNV,
    &SecondaryColor3i,
    &SecondaryColor3iEXT,
    &SecondaryColor3iv,
    &SecondaryColor3ivEXT,
    &SecondaryColor3s,
    &SecondaryColor3sEXT,
    &SecondaryColor3sv,
    &SecondaryColor3svEXT,
    &SecondaryColor3ub,
    &SecondaryColor3ubEXT,
    &SecondaryColor3ubv,
    &SecondaryColor3ubvEXT,
    &SecondaryColor3ui,
    &SecondaryColor3uiEXT,
    &SecondaryColor3uiv,
    &SecondaryColor3uivEXT,
    &SecondaryColor3us,
    &SecondaryColor3usEXT,
    &SecondaryColor3usv,
    &SecondaryColor3usvEXT,
    &SecondaryColorFormatNV,
    &SecondaryColorP3ui,
    &SecondaryColorP3uiv,
    &SecondaryColorPointer,
    &SecondaryColorPointerEXT,
    &SecondaryColorPointerListIBM,
    &SelectBuffer,
    &SelectPerfMonitorCountersAMD,
    &SemaphoreParameterivNV,
    &SemaphoreParameterui64vEXT,
    &SeparableFilter2D,
    &SeparableFilter2DEXT,
    &SetFenceAPPLE,
    &SetFenceNV,
    &SetFragmentShaderConstantATI,
    &SetInvariantEXT,
    &SetLocalConstantEXT,
    &SetMultisamplefvAMD,
    &ShadeModel,
    &ShaderBinary,
    &ShaderOp1EXT,
    &ShaderOp2EXT,
    &ShaderOp3EXT,
    &ShaderSource,
    &ShaderSourceARB,
    &ShaderStorageBlockBinding,
    &ShadingRateImageBarrierNV,
    &ShadingRateImagePaletteNV,
    &ShadingRateSampleOrderCustomNV,
    &ShadingRateSampleOrderNV,
    &SharpenTexFuncSGIS,
    &SignalSemaphoreEXT,
    &SignalSemaphoreui64NVX,
    &SignalVkFenceNV,
    &SignalVkSemaphoreNV,
    &SpecializeShader,
    &SpecializeShaderARB,
    &SpriteParameterfSGIX,
    &SpriteParameterfvSGIX,
    &SpriteParameteriSGIX,
    &SpriteParameterivSGIX,
    &StartInstrumentsSGIX,
    &StateCaptureNV,
    &StencilClearTagEXT,
    &StencilFillPathInstancedNV,
    &StencilFillPathNV,
    &StencilFunc,
    &StencilFuncSeparate,
    &StencilFuncSeparateATI,
    &StencilMask,
    &StencilMaskSeparate,
    &StencilOp,
    &StencilOpSeparate,
    &StencilOpSeparateATI,
    &StencilOpValueAMD,
    &StencilStrokePathInstancedNV,
    &StencilStrokePathNV,
    &StencilThenCoverFillPathInstancedNV,
    &StencilThenCoverFillPathNV,
    &StencilThenCoverStrokePathInstancedNV,
    &StencilThenCoverStrokePathNV,
    &StopInstrumentsSGIX,
    &StringMarkerGREMEDY,
    &SubpixelPrecisionBiasNV,
    &SwizzleEXT,
    &SyncTextureINTEL,
    &TagSampleBufferSGIX,
    &Tangent3bEXT,
    &Tangent3bvEXT,
    &Tangent3dEXT,
    &Tangent3dvEXT,
    &Tangent3fEXT,
    &Tangent3fvEXT,
    &Tangent3iEXT,
    &Tangent3ivEXT,
    &Tangent3sEXT,
    &Tangent3svEXT,
    &TangentPointerEXT,
    &TbufferMask3DFX,
    &TessellationFactorAMD,
    &TessellationModeAMD,
    &TestFenceAPPLE,
    &TestFenceNV,
    &TestObjectAPPLE,
    &TexAttachMemoryNV,
    &TexBuffer,
    &TexBufferARB,
    &TexBufferEXT,
    &TexBufferRange,
    &TexBumpParameterfvATI,
    &TexBumpParameterivATI,
    &TexCoord1bOES,
    &TexCoord1bvOES,
    &TexCoord1d,
    &TexCoord1dv,
    &TexCoord1f,
    &TexCoord1fv,
    &TexCoord1hNV,
    &TexCoord1hvNV,
    &TexCoord1i,
    &TexCoord1iv,
    &TexCoord1s,
    &TexCoord1sv,
    &TexCoord1xOES,
    &TexCoord1xvOES,
    &TexCoord2bOES,
    &TexCoord2bvOES,
    &TexCoord2d,
    &TexCoord2dv,
    &TexCoord2f,
    &TexCoord2fColor3fVertex3fSUN,
    &TexCoord2fColor3fVertex3fvSUN,
    &TexCoord2fColor4fNormal3fVertex3fSUN,
    &TexCoord2fColor4fNormal3fVertex3fvSUN,
    &TexCoord2fColor4ubVertex3fSUN,
    &TexCoord2fColor4ubVertex3fvSUN,
    &TexCoord2fNormal3fVertex3fSUN,
    &TexCoord2fNormal3fVertex3fvSUN,
    &TexCoord2fv,
    &TexCoord2fVertex3fSUN,
    &TexCoord2fVertex3fvSUN,
    &TexCoord2hNV,
    &TexCoord2hvNV,
    &TexCoord2i,
    &TexCoord2iv,
    &TexCoord2s,
    &TexCoord2sv,
    &TexCoord2xOES,
    &TexCoord2xvOES,
    &TexCoord3bOES,
    &TexCoord3bvOES,
    &TexCoord3d,
    &TexCoord3dv,
    &TexCoord3f,
    &TexCoord3fv,
    &TexCoord3hNV,
    &TexCoord3hvNV,
    &TexCoord3i,
    &TexCoord3iv,
    &TexCoord3s,
    &TexCoord3sv,
    &TexCoord3xOES,
    &TexCoord3xvOES,
    &TexCoord4bOES,
    &TexCoord4bvOES,
    &TexCoord4d,
    &TexCoord4dv,
    &TexCoord4f,
    &TexCoord4fColor4fNormal3fVertex4fSUN,
    &TexCoord4fColor4fNormal3fVertex4fvSUN,
    &TexCoord4fv,
    &TexCoord4fVertex4fSUN,
    &TexCoord4fVertex4fvSUN,
    &TexCoord4hNV,
    &TexCoord4hvNV,
    &TexCoord4i,
    &TexCoord4iv,
    &TexCoord4s,
    &TexCoord4sv,
    &TexCoord4xOES,
    &TexCoord4xvOES,
    &TexCoordFormatNV,
    &TexCoordP1ui,
    &TexCoordP1uiv,
    &TexCoordP2ui,
    &TexCoordP2uiv,
    &TexCoordP3ui,
    &TexCoordP3uiv,
    &TexCoordP4ui,
    &TexCoordP4uiv,
    &TexCoordPointer,
    &TexCoordPointerEXT,
    &TexCoordPointerListIBM,
    &TexCoordPointervINTEL,
    &TexEnvf,
    &TexEnvfv,
    &TexEnvi,
    &TexEnviv,
    &TexEnvxOES,
    &TexEnvxvOES,
    &TexFilterFuncSGIS,
    &TexGend,
    &TexGendv,
    &TexGenf,
    &TexGenfv,
    &TexGeni,
    &TexGeniv,
    &TexGenxOES,
    &TexGenxvOES,
    &TexImage1D,
    &TexImage2D,
    &TexImage2DMultisample,
    &TexImage2DMultisampleCoverageNV,
    &TexImage3D,
    &TexImage3DEXT,
    &TexImage3DMultisample,
    &TexImage3DMultisampleCoverageNV,
    &TexImage4DSGIS,
    &TexPageCommitmentARB,
    &TexPageCommitmentMemNV,
    &TexParameterf,
    &TexParameterfv,
    &TexParameteri,
    &TexParameterIiv,
    &TexParameterIivEXT,
    &TexParameterIuiv,
    &TexParameterIuivEXT,
    &TexParameteriv,
    &TexParameterxOES,
    &TexParameterxvOES,
    &TexRenderbufferNV,
    &TexStorage1D,
    &TexStorage1DEXT,
    &TexStorage2D,
    &TexStorage2DEXT,
    &TexStorage2DMultisample,
    &TexStorage3D,
    &TexStorage3DEXT,
    &TexStorage3DMultisample,
    &TexStorageMem1DEXT,
    &TexStorageMem2DEXT,
    &TexStorageMem2DMultisampleEXT,
    &TexStorageMem3DEXT,
    &TexStorageMem3DMultisampleEXT,
    &TexStorageSparseAMD,
    &TexSubImage1D,
    &TexSubImage1DEXT,
    &TexSubImage2D,
    &TexSubImage2DEXT,
    &TexSubImage3D,
    &TexSubImage3DEXT,
    &TexSubImage4DSGIS,
    &TextureAttachMemoryNV,
    &TextureBarrier,
    &TextureBarrierNV,
    &TextureBuffer,
    &TextureBufferEXT,
    &TextureBufferRange,
    &TextureBufferRangeEXT,
    &TextureColorMaskSGIS,
    &TextureImage1DEXT,
    &TextureImage2DEXT,
    &TextureImage2DMultisampleCoverageNV,
    &TextureImage2DMultisampleNV,
    &TextureImage3DEXT,
    &TextureImage3DMultisampleCoverageNV,
    &TextureImage3DMultisampleNV,
    &TextureLightEXT,
    &TextureMaterialEXT,
    &TextureNormalEXT,
    &TexturePageCommitmentEXT,
    &TexturePageCommitmentMemNV,
    &TextureParameterf,
    &TextureParameterfEXT,
    &TextureParameterfv,
    &TextureParameterfvEXT,
    &TextureParameteri,
    &TextureParameteriEXT,
    &TextureParameterIiv,
    &TextureParameterIivEXT,
    &TextureParameterIuiv,
    &TextureParameterIuivEXT,
    &TextureParameteriv,
    &TextureParameterivEXT,
    &TextureRangeAPPLE,
    &TextureRenderbufferEXT,
    &TextureStorage1D,
    &TextureStorage1DEXT,
    &TextureStorage2D,
    &TextureStorage2DEXT,
    &TextureStorage2DMultisample,
    &TextureStorage2DMultisampleEXT,
    &TextureStorage3D,
    &TextureStorage3DEXT,
    &TextureStorage3DMultisample,
    &TextureStorage3DMultisampleEXT,
    &TextureStorageMem1DEXT,
    &TextureStorageMem2DEXT,
    &TextureStorageMem2DMultisampleEXT,
    &TextureStorageMem3DEXT,
    &TextureStorageMem3DMultisampleEXT,
    &TextureStorageSparseAMD,
    &TextureSubImage1D,
    &TextureSubImage1DEXT,
    &TextureSubImage2D,
    &TextureSubImage2DEXT,
    &TextureSubImage3D,
    &TextureSubImage3DEXT,
    &TextureView,
    &TrackMatrixNV,
    &TransformFeedbackAttribsNV,
    &TransformFeedbackBufferBase,
    &TransformFeedbackBufferRange,
    &TransformFeedbackStreamAttribsNV,
    &TransformFeedbackVaryings,
    &TransformFeedbackVaryingsEXT,
    &TransformFeedbackVaryingsNV,
    &TransformPathNV,
    &Translated,
    &Translatef,
    &TranslatexOES,
    &Uniform1d,
    &Uniform1dv,
    &Uniform1f,
    &Uniform1fARB,
    &Uniform1fv,
    &Uniform1fvARB,
    &Uniform1i,
    &Uniform1i64ARB,
    &Uniform1i64NV,
    &Uniform1i64vARB,
    &Uniform1i64vNV,
    &Uniform1iARB,
    &Uniform1iv,
    &Uniform1ivARB,
    &Uniform1ui,
    &Uniform1ui64ARB,
    &Uniform1ui64NV,
    &Uniform1ui64vARB,
    &Uniform1ui64vNV,
    &Uniform1uiEXT,
    &Uniform1uiv,
    &Uniform1uivEXT,
    &Uniform2d,
    &Uniform2dv,
    &Uniform2f,
    &Uniform2fARB,
    &Uniform2fv,
    &Uniform2fvARB,
    &Uniform2i,
    &Uniform2i64ARB,
    &Uniform2i64NV,
    &Uniform2i64vARB,
    &Uniform2i64vNV,
    &Uniform2iARB,
    &Uniform2iv,
    &Uniform2ivARB,
    &Uniform2ui,
    &Uniform2ui64ARB,
    &Uniform2ui64NV,
    &Uniform2ui64vARB,
    &Uniform2ui64vNV,
    &Uniform2uiEXT,
    &Uniform2uiv,
    &Uniform2uivEXT,
    &Uniform3d,
    &Uniform3dv,
    &Uniform3f,
    &Uniform3fARB,
    &Uniform3fv,
    &Uniform3fvARB,
    &Uniform3i,
    &Uniform3i64ARB,
    &Uniform3i64NV,
    &Uniform3i64vARB,
    &Uniform3i64vNV,
    &Uniform3iARB,
    &Uniform3iv,
    &Uniform3ivARB,
    &Uniform3ui,
    &Uniform3ui64ARB,
    &Uniform3ui64NV,
    &Uniform3ui64vARB,
    &Uniform3ui64vNV,
    &Uniform3uiEXT,
    &Uniform3uiv,
    &Uniform3uivEXT,
    &Uniform4d,
    &Uniform4dv,
    &Uniform4f,
    &Uniform4fARB,
    &Uniform4fv,
    &Uniform4fvARB,
    &Uniform4i,
    &Uniform4i64ARB,
    &Uniform4i64NV,
    &Uniform4i64vARB,
    &Uniform4i64vNV,
    &Uniform4iARB,
    &Uniform4iv,
    &Uniform4ivARB,
    &Uniform4ui,
    &Uniform4ui64ARB,
    &Uniform4ui64NV,
    &Uniform4ui64vARB,
    &Uniform4ui64vNV,
    &Uniform4uiEXT,
    &Uniform4uiv,
    &Uniform4uivEXT,
    &UniformBlockBinding,
    &UniformBufferEXT,
    &UniformHandleui64ARB,
    &UniformHandleui64NV,
    &UniformHandleui64vARB,
    &UniformHandleui64vNV,
    &UniformMatrix2dv,
    &UniformMatrix2fv,
    &UniformMatrix2fvARB,
    &UniformMatrix2x3dv,
    &UniformMatrix2x3fv,
    &UniformMatrix2x4dv,
    &UniformMatrix2x4fv,
    &UniformMatrix3dv,
    &UniformMatrix3fv,
    &UniformMatrix3fvARB,
    &UniformMatrix3x2dv,
    &UniformMatrix3x2fv,
    &UniformMatrix3x4dv,
    &UniformMatrix3x4fv,
    &UniformMatrix4dv,
    &UniformMatrix4fv,
    &UniformMatrix4fvARB,
    &UniformMatrix4x2dv,
    &UniformMatrix4x2fv,
    &UniformMatrix4x3dv,
    &UniformMatrix4x3fv,
    &UniformSubroutinesuiv,
    &Uniformui64NV,
    &Uniformui64vNV,
    &UnlockArraysEXT,
    &UnmapBuffer,
    &UnmapBufferARB,
    &UnmapNamedBuffer,
    &UnmapNamedBufferEXT,
    &UnmapObjectBufferATI,
    &UnmapTexture2DINTEL,
    &UpdateObjectBufferATI,
    &UploadGpuMaskNVX,
    &UseProgram,
    &UseProgramObjectARB,
    &UseProgramStages,
    &UseProgramStagesEXT,
    &UseShaderProgramEXT,
    &ValidateProgram,
    &ValidateProgramARB,
    &ValidateProgramPipeline,
    &ValidateProgramPipelineEXT,
    &VariantArrayObjectATI,
    &VariantbvEXT,
    &VariantdvEXT,
    &VariantfvEXT,
    &VariantivEXT,
    &VariantPointerEXT,
    &VariantsvEXT,
    &VariantubvEXT,
    &VariantuivEXT,
    &VariantusvEXT,
    &VDPAUFiniNV,
    &VDPAUGetSurfaceivNV,
    &VDPAUInitNV,
    &VDPAUIsSurfaceNV,
    &VDPAUMapSurfacesNV,
    &VDPAURegisterOutputSurfaceNV,
    &VDPAURegisterVideoSurfaceNV,
    &VDPAURegisterVideoSurfaceWithPictureStructureNV,
    &VDPAUSurfaceAccessNV,
    &VDPAUUnmapSurfacesNV,
    &VDPAUUnregisterSurfaceNV,
    &Vertex2bOES,
    &Vertex2bvOES,
    &Vertex2d,
    &Vertex2dv,
    &Vertex2f,
    &Vertex2fv,
    &Vertex2hNV,
    &Vertex2hvNV,
    &Vertex2i,
    &Vertex2iv,
    &Vertex2s,
    &Vertex2sv,
    &Vertex2xOES,
    &Vertex2xvOES,
    &Vertex3bOES,
    &Vertex3bvOES,
    &Vertex3d,
    &Vertex3dv,
    &Vertex3f,
    &Vertex3fv,
    &Vertex3hNV,
    &Vertex3hvNV,
    &Vertex3i,
    &Vertex3iv,
    &Vertex3s,
    &Vertex3sv,
    &Vertex3xOES,
    &Vertex3xvOES,
    &Vertex4bOES,
    &Vertex4bvOES,
    &Vertex4d,
    &Vertex4dv,
    &Vertex4f,
    &Vertex4fv,
    &Vertex4hNV,
    &Vertex4hvNV,
    &Vertex4i,
    &Vertex4iv,
    &Vertex4s,
    &Vertex4sv,
    &Vertex4xOES,
    &Vertex4xvOES,
    &VertexArrayAttribBinding,
    &VertexArrayAttribFormat,
    &VertexArrayAttribIFormat,
    &VertexArrayAttribLFormat,
    &VertexArrayBindingDivisor,
    &VertexArrayBindVertexBufferEXT,
    &VertexArrayColorOffsetEXT,
    &VertexArrayEdgeFlagOffsetEXT,
    &VertexArrayElementBuffer,
    &VertexArrayFogCoordOffsetEXT,
    &VertexArrayIndexOffsetEXT,
    &VertexArrayMultiTexCoordOffsetEXT,
    &VertexArrayNormalOffsetEXT,
    &VertexArrayParameteriAPPLE,
    &VertexArrayRangeAPPLE,
    &VertexArrayRangeNV,
    &VertexArraySecondaryColorOffsetEXT,
    &VertexArrayTexCoordOffsetEXT,
    &VertexArrayVertexAttribBindingEXT,
    &VertexArrayVertexAttribDivisorEXT,
    &VertexArrayVertexAttribFormatEXT,
    &VertexArrayVertexAttribIFormatEXT,
    &VertexArrayVertexAttribIOffsetEXT,
    &VertexArrayVertexAttribLFormatEXT,
    &VertexArrayVertexAttribLOffsetEXT,
    &VertexArrayVertexAttribOffsetEXT,
    &VertexArrayVertexBindingDivisorEXT,
    &VertexArrayVertexBuffer,
    &VertexArrayVertexBuffers,
    &VertexArrayVertexOffsetEXT,
    &VertexAttrib1d,
    &VertexAttrib1dARB,
    &VertexAttrib1dNV,
    &VertexAttrib1dv,
    &VertexAttrib1dvARB,
    &VertexAttrib1dvNV,
    &VertexAttrib1f,
    &VertexAttrib1fARB,
    &VertexAttrib1fNV,
    &VertexAttrib1fv,
    &VertexAttrib1fvARB,
    &VertexAttrib1fvNV,
    &VertexAttrib1hNV,
    &VertexAttrib1hvNV,
    &VertexAttrib1s,
    &VertexAttrib1sARB,
    &VertexAttrib1sNV,
    &VertexAttrib1sv,
    &VertexAttrib1svARB,
    &VertexAttrib1svNV,
    &VertexAttrib2d,
    &VertexAttrib2dARB,
    &VertexAttrib2dNV,
    &VertexAttrib2dv,
    &VertexAttrib2dvARB,
    &VertexAttrib2dvNV,
    &VertexAttrib2f,
    &VertexAttrib2fARB,
    &VertexAttrib2fNV,
    &VertexAttrib2fv,
    &VertexAttrib2fvARB,
    &VertexAttrib2fvNV,
    &VertexAttrib2hNV,
    &VertexAttrib2hvNV,
    &VertexAttrib2s,
    &VertexAttrib2sARB,
    &VertexAttrib2sNV,
    &VertexAttrib2sv,
    &VertexAttrib2svARB,
    &VertexAttrib2svNV,
    &VertexAttrib3d,
    &VertexAttrib3dARB,
    &VertexAttrib3dNV,
    &VertexAttrib3dv,
    &VertexAttrib3dvARB,
    &VertexAttrib3dvNV,
    &VertexAttrib3f,
    &VertexAttrib3fARB,
    &VertexAttrib3fNV,
    &VertexAttrib3fv,
    &VertexAttrib3fvARB,
    &VertexAttrib3fvNV,
    &VertexAttrib3hNV,
    &VertexAttrib3hvNV,
    &VertexAttrib3s,
    &VertexAttrib3sARB,
    &VertexAttrib3sNV,
    &VertexAttrib3sv,
    &VertexAttrib3svARB,
    &VertexAttrib3svNV,
    &VertexAttrib4bv,
    &VertexAttrib4bvARB,
    &VertexAttrib4d,
    &VertexAttrib4dARB,
    &VertexAttrib4dNV,
    &VertexAttrib4dv,
    &VertexAttrib4dvARB,
    &VertexAttrib4dvNV,
    &VertexAttrib4f,
    &VertexAttrib4fARB,
    &VertexAttrib4fNV,
    &VertexAttrib4fv,
    &VertexAttrib4fvARB,
    &VertexAttrib4fvNV,
    &VertexAttrib4hNV,
    &VertexAttrib4hvNV,
    &VertexAttrib4iv,
    &VertexAttrib4ivARB,
    &VertexAttrib4Nbv,
    &VertexAttrib4NbvARB,
    &VertexAttrib4Niv,
    &VertexAttrib4NivARB,
    &VertexAttrib4Nsv,
    &VertexAttrib4NsvARB,
    &VertexAttrib4Nub,
    &VertexAttrib4NubARB,
    &VertexAttrib4Nubv,
    &VertexAttrib4NubvARB,
    &VertexAttrib4Nuiv,
    &VertexAttrib4NuivARB,
    &VertexAttrib4Nusv,
    &VertexAttrib4NusvARB,
    &VertexAttrib4s,
    &VertexAttrib4sARB,
    &VertexAttrib4sNV,
    &VertexAttrib4sv,
    &VertexAttrib4svARB,
    &VertexAttrib4svNV,
    &VertexAttrib4ubNV,
    &VertexAttrib4ubv,
    &VertexAttrib4ubvARB,
    &VertexAttrib4ubvNV,
    &VertexAttrib4uiv,
    &VertexAttrib4uivARB,
    &VertexAttrib4usv,
    &VertexAttrib4usvARB,
    &VertexAttribArrayObjectATI,
    &VertexAttribBinding,
    &VertexAttribDivisor,
    &VertexAttribDivisorARB,
    &VertexAttribFormat,
    &VertexAttribFormatNV,
    &VertexAttribI1i,
    &VertexAttribI1iEXT,
    &VertexAttribI1iv,
    &VertexAttribI1ivEXT,
    &VertexAttribI1ui,
    &VertexAttribI1uiEXT,
    &VertexAttribI1uiv,
    &VertexAttribI1uivEXT,
    &VertexAttribI2i,
    &VertexAttribI2iEXT,
    &VertexAttribI2iv,
    &VertexAttribI2ivEXT,
    &VertexAttribI2ui,
    &VertexAttribI2uiEXT,
    &VertexAttribI2uiv,
    &VertexAttribI2uivEXT,
    &VertexAttribI3i,
    &VertexAttribI3iEXT,
    &VertexAttribI3iv,
    &VertexAttribI3ivEXT,
    &VertexAttribI3ui,
    &VertexAttribI3uiEXT,
    &VertexAttribI3uiv,
    &VertexAttribI3uivEXT,
    &VertexAttribI4bv,
    &VertexAttribI4bvEXT,
    &VertexAttribI4i,
    &VertexAttribI4iEXT,
    &VertexAttribI4iv,
    &VertexAttribI4ivEXT,
    &VertexAttribI4sv,
    &VertexAttribI4svEXT,
    &VertexAttribI4ubv,
    &VertexAttribI4ubvEXT,
    &VertexAttribI4ui,
    &VertexAttribI4uiEXT,
    &VertexAttribI4uiv,
    &VertexAttribI4uivEXT,
    &VertexAttribI4usv,
    &VertexAttribI4usvEXT,
    &VertexAttribIFormat,
    &VertexAttribIFormatNV,
    &VertexAttribIPointer,
    &VertexAttribIPointerEXT,
    &VertexAttribL1d,
    &VertexAttribL1dEXT,
    &VertexAttribL1dv,
    &VertexAttribL1dvEXT,
    &VertexAttribL1i64NV,
    &VertexAttribL1i64vNV,
    &VertexAttribL1ui64ARB,
    &VertexAttribL1ui64NV,
    &VertexAttribL1ui64vARB,
    &VertexAttribL1ui64vNV,
    &VertexAttribL2d,
    &VertexAttribL2dEXT,
    &VertexAttribL2dv,
    &VertexAttribL2dvEXT,
    &VertexAttribL2i64NV,
    &VertexAttribL2i64vNV,
    &VertexAttribL2ui64NV,
    &VertexAttribL2ui64vNV,
    &VertexAttribL3d,
    &VertexAttribL3dEXT,
    &VertexAttribL3dv,
    &VertexAttribL3dvEXT,
    &VertexAttribL3i64NV,
    &VertexAttribL3i64vNV,
    &VertexAttribL3ui64NV,
    &VertexAttribL3ui64vNV,
    &VertexAttribL4d,
    &VertexAttribL4dEXT,
    &VertexAttribL4dv,
    &VertexAttribL4dvEXT,
    &VertexAttribL4i64NV,
    &VertexAttribL4i64vNV,
    &VertexAttribL4ui64NV,
    &VertexAttribL4ui64vNV,
    &VertexAttribLFormat,
    &VertexAttribLFormatNV,
    &VertexAttribLPointer,
    &VertexAttribLPointerEXT,
    &VertexAttribP1ui,
    &VertexAttribP1uiv,
    &VertexAttribP2ui,
    &VertexAttribP2uiv,
    &VertexAttribP3ui,
    &VertexAttribP3uiv,
    &VertexAttribP4ui,
    &VertexAttribP4uiv,
    &VertexAttribParameteriAMD,
    &VertexAttribPointer,
    &VertexAttribPointerARB,
    &VertexAttribPointerNV,
    &VertexAttribs1dvNV,
    &VertexAttribs1fvNV,
    &VertexAttribs1hvNV,
    &VertexAttribs1svNV,
    &VertexAttribs2dvNV,
    &VertexAttribs2fvNV,
    &VertexAttribs2hvNV,
    &VertexAttribs2svNV,
    &VertexAttribs3dvNV,
    &VertexAttribs3fvNV,
    &VertexAttribs3hvNV,
    &VertexAttribs3svNV,
    &VertexAttribs4dvNV,
    &VertexAttribs4fvNV,
    &VertexAttribs4hvNV,
    &VertexAttribs4svNV,
    &VertexAttribs4ubvNV,
    &VertexBindingDivisor,
    &VertexBlendARB,
    &VertexBlendEnvfATI,
    &VertexBlendEnviATI,
    &VertexFormatNV,
    &VertexP2ui,
    &VertexP2uiv,
    &VertexP3ui,
    &VertexP3uiv,
    &VertexP4ui,
    &VertexP4uiv,
    &VertexPointer,
    &VertexPointerEXT,
    &VertexPointerListIBM,
    &VertexPointervINTEL,
    &VertexStream1dATI,
    &VertexStream1dvATI,
    &VertexStream1fATI,
    &VertexStream1fvATI,
    &VertexStream1iATI,
    &VertexStream1ivATI,
    &VertexStream1sATI,
    &VertexStream1svATI,
    &VertexStream2dATI,
    &VertexStream2dvATI,
    &VertexStream2fATI,
    &VertexStream2fvATI,
    &VertexStream2iATI,
    &VertexStream2ivATI,
    &VertexStream2sATI,
    &VertexStream2svATI,
    &VertexStream3dATI,
    &VertexStream3dvATI,
    &VertexStream3fATI,
    &VertexStream3fvATI,
    &VertexStream3iATI,
    &VertexStream3ivATI,
    &VertexStream3sATI,
    &VertexStream3svATI,
    &VertexStream4dATI,
    &VertexStream4dvATI,
    &VertexStream4fATI,
    &VertexStream4fvATI,
    &VertexStream4iATI,
    &VertexStream4ivATI,
    &VertexStream4sATI,
    &VertexStream4svATI,
    &VertexWeightfEXT,
    &VertexWeightfvEXT,
    &VertexWeighthNV,
    &VertexWeighthvNV,
    &VertexWeightPointerEXT,
    &VideoCaptureNV,
    &VideoCaptureStreamParameterdvNV,
    &VideoCaptureStreamParameterfvNV,
    &VideoCaptureStreamParameterivNV,
    &Viewport,
    &ViewportArrayv,
    &ViewportIndexedf,
    &ViewportIndexedfv,
    &ViewportPositionWScaleNV,
    &ViewportSwizzleNV,
    &WaitSemaphoreEXT,
    &WaitSemaphoreui64NVX,
    &WaitSync,
    &WaitVkSemaphoreNV,
    &WeightbvARB,
    &WeightdvARB,
    &WeightfvARB,
    &WeightivARB,
    &WeightPathsNV,
    &WeightPointerARB,
    &WeightsvARB,
    &WeightubvARB,
    &WeightuivARB,
    &WeightusvARB,
    &WindowPos2d,
    &WindowPos2dARB,
    &WindowPos2dMESA,
    &WindowPos2dv,
    &WindowPos2dvARB,
    &WindowPos2dvMESA,
    &WindowPos2f,
    &WindowPos2fARB,
    &WindowPos2fMESA,
    &WindowPos2fv,
    &WindowPos2fvARB,
    &WindowPos2fvMESA,
    &WindowPos2i,
    &WindowPos2iARB,
    &WindowPos2iMESA,
    &WindowPos2iv,
    &WindowPos2ivARB,
    &WindowPos2ivMESA,
    &WindowPos2s,
    &WindowPos2sARB,
    &WindowPos2sMESA,
    &WindowPos2sv,
    &WindowPos2svARB,
    &WindowPos2svMESA,
    &WindowPos3d,
    &WindowPos3dARB,
    &WindowPos3dMESA,
    &WindowPos3dv,
    &WindowPos3dvARB,
    &WindowPos3dvMESA,
    &WindowPos3f,
    &WindowPos3fARB,
    &WindowPos3fMESA,
    &WindowPos3fv,
    &WindowPos3fvARB,
    &WindowPos3fvMESA,
    &WindowPos3i,
    &WindowPos3iARB,
    &WindowPos3iMESA,
    &WindowPos3iv,
    &WindowPos3ivARB,
    &WindowPos3ivMESA,
    &WindowPos3s,
    &WindowPos3sARB,
    &WindowPos3sMESA,
    &WindowPos3sv,
    &WindowPos3svARB,
    &WindowPos3svMESA,
    &WindowPos4dMESA,
    &WindowPos4dvMESA,
    &WindowPos4fMESA,
    &WindowPos4fvMESA,
    &WindowPos4iMESA,
    &WindowPos4ivMESA,
    &WindowPos4sMESA,
    &WindowPos4svMESA,
    &WindowRectanglesEXT,
    &WriteMaskEXT
}};


} // namespace glbinding